<?php
/**
*
* @package Calendar Block														
* @version 9:26 PM 4/3/2010 Aneeshtan $						
* @copyright (c) Nukelearn Group  http://www.nukelearn.com	& Inspired By PHPBB3 Session Class										
* @license http://creativecommons.org/licenses/by-nc-sa/3.0 Attribution-Noncommercial-Share Alike
*
*/

if(stripos($_SERVER['SCRIPT_NAME'],'block-Calendar.php')){
die("Illegal Access!");
}
define("CAL_PATH","modules/jCalendar/");
define("CALENDAR_TABLE","nuke_jcalendar_events");
?>
<link href="modules/jCalendar/includes/style/Calendar.css" type="text/css" rel="stylesheet" />
<script type="text/javascript" src="modules/jCalendar/includes/tooltip/jquery.simpletip-1.3.1.js"></script>
<?php
global $db;
require_once (CAL_PATH.'includes/Calendar.Class.php');
$Calendar = new Calendar();
unset($sql);
$sql = 'SELECT * FROM `'.CALENDAR_TABLE.'`';
$result = $db->sql_query($sql);
$EventsMatrix = array();
$i = 0;
while($row = $db->sql_fetchrow($result)){
	$sdate = date_parse($row['start_date']);
	$edate = date_parse($row['end_date']);
	$EventsMatrix['day'][$i] = $sdate['year'].'-'.$sdate['month'].'-'.$sdate['day'];
	$EventsMatrix['content'][$i] = $row['title'];
	$EventsMatrix['holiday'][$i] = $row['holiday'];
	$date_diff = $Calendar->jdate_diff($row['start_date'],$row['end_date']);
	if($date_diff != 0){
		$ndate[0] = $sdate['year'];
		$ndate[1] = $sdate['month'];
		$ndate[2] = $sdate['day'];
		for($j=0;$j<$date_diff;$j++){
			$i++;
			$ndate = $Calendar->datepluse1($ndate);
			$EventsMatrix['day'][$i] = $ndate[0].'-'.$ndate[1].'-'.$ndate[2];
			$EventsMatrix['content'][$i] = $row['title'];
			$EventsMatrix['holiday'][$i] = $row['holiday'];
		}
	}
	$i++;
}
//print_r($EventsMatrix);
require_once (CAL_PATH.'includes/CalendarEvents.Class.php');
$CalendarEvents = new CalendarEvents($EventsMatrix);
$content .= $CalendarEvents->JSoutput;
$content .= '<div style="width:150px;text-align:center;" class="jcal">';


//Check if the month and year values exist
if (isset($_GET['m'],$_GET['y'])) {
	$month = intval($_GET['m']);
	$year = intval($_GET['y']);
		$Calendar->Calendar_OtherMonth($year,$month);
} else {
	$gyear = date ('Y');
	$gmonth = date ('n');
	$gday = date ('j');
		$ThisMonth = $Calendar->Calendar_ThisMonth($gyear,$gmonth,$gday);
		$year = $ThisMonth[0];
		$month = $ThisMonth[1];
}
	//generate "next" and "prev" links
	if ($month!='12') {
		$next_month = "y=".$year; 
		$next_month .= "&amp;m=";
		$next_month .= $month+1;
	} else { 
		$next_month = "y=";
		$next_month .= $year+1;
		$next_month .= "&amp;m=1";
	}
	if ($month!='1') {
		$prev_month = "y=".$year;
		$prev_month .= "&amp;m=";
		$prev_month .= $month-1 ;
	} else {
		$prev_month = "y=";
		$prev_month .= $year-1;
		$prev_month .= "&amp;m=12";
	}
$content .='
<table style="width:200px;height:230px;" border="0" cellpadding="0" cellspacing="1" dir="rtl">
<tr>
	<td class="calendar-head">
		<span>
			<a href="'.$_SERVER['PHP_SELF']."?name=jCalendar&".$prev_month.'">قبلی</a>
		</span>
	</td>
	<td colspan="5" class="calendar-head" style="width:200px;text-align:center;">
		<span>
			'.$Calendar->shamsi_month_year.'
		</span>
	</td>
	<td class="calendar-head">
		<span>
			<a href="'.$_SERVER['PHP_SELF']."?name=jCalendar&".$next_month.'">بعدی</a>
		</span>
	</td>
</tr><tr>
	<td class="calendar-head">
		<span>ش</span>
	</td>
	<td class="calendar-head">
		<span>ی</span>
	</td>
	<td class="calendar-head">
		<span>د</span>
	</td>
	<td class="calendar-head">
		<span>س</span>
	</td>
	<td class="calendar-head">
		<span>چ</span>
	</td>
	<td class="calendar-head">
		<span>پ</span>
	</td>
	<td class="calendar-head">
		<span>ج</span>
	</td>
</tr>
';


	if($Calendar->month_first_day == 6) 
		$startdate = -$Calendar->month_first_day + 6;
	else
		$startdate = -$Calendar->month_first_day - 1;

	//Figure out how many rows we need.
	$numrows = ceil (($Calendar->month_total_days + $Calendar->month_first_day + 1) / 7);
	//Let's make an appropriate number of rows...
	for ($k = 1; $k <= $numrows; $k++)
	{
	$content .='<tr>';
		//Use 7 columns (for 7 days)...
		for ($i = 0; $i < 7; $i++)
		{
			$startdate++;
			$event = NULL;
			$holiday = NULL;
			$this_day = $year."-".$month."-".$startdate;
			if ($EventsMatrix!=NULL && in_array($this_day,$EventsMatrix['day'],TRUE)){
				$event=" event";
				global $db,$prefix;
				list($holiday) = $db->sql_fetchrow($db->sql_query('SELECT `holiday` FROM `'.$prefix.'_jcalendar_events` WHERE `start_date` <= "'.$this_day.'" AND  `end_date` >= "'.$this_day.'" LIMIT 1'));
				if($holiday == 'yes') $holiday = ' holiday';
				else $holiday = NULL;
			}
			
			if (($startdate <= 0) || ($startdate > $Calendar->month_total_days))
			{
				//If we have a blank day in the calendar.
				$content .='<td></td>';
			} elseif ($this_day == $Calendar->today) {
			$content .='<td class="calendar-today '.$this_day.$event.$holiday.'"';
			if($event!=NULL) $content .= " onmouseover=\"checkfortasks(this,'$this_day')\"";
			
			$content .= '>'.farsinum($startdate).'</td>';	
			} else {
			$content .='<td class="calendar-body '.$this_day.' '.$event.$holiday.'"';
			 if($event!=NULL) $content .= " onmouseover=\"checkfortasks(this,'$this_day')\"";
			 $content .= '>'.farsinum($startdate).'</td>';
			}
		}
		 $content .='</tr>';
	}
 $content .='</table>';

$content .= '</div>';

?>

