<?php
/**
	+-----------------------------------------------------------------------------------------------+
	|																								|
	|	* @package USV NUKELEARN PORTAL																|
	|	* @version : 1.0.0.219																		|
	|																								|
	|	* @copyright (c) Nukelearn Group															|
	|	* http://www.nukelearn.com																	|
	|																								|
	|	* @Portions of this software are based on PHP-Nuke											|
	|	* http://phpnuke.org - 2002, (c) Francisco Burzi											|
	|																								|
	|	* @license http://opensource.org/licenses/gpl-license.php GNU Public License				|
	|																								|
   	|   ======================================== 													|
	|					You should not sell this product to others	 								|
	+-----------------------------------------------------------------------------------------------+
*/

if ( !defined('BLOCK_FILE') ) {
    Header("Location: ../index.php");
    die();
}

global $prefix, $db, $sitename;


/**********************************/
/*                                */
/* Configuration parameters       */
/*                                */
/**********************************/
// When set to 1 then Forums permissions which View and/or Read are NOT set to 'ALL' will NOT be displayed in the center block
$HideViewReadOnly = 1;
// Show only 5 last new topics
$Last_New_Topics  = 10;

$phpBB3prefix        = "nuke_bb3";	// Database prefix
$phpBB3Theme        = "prosilver";	// Database prefix
$phpBB3root        = "modules/phpBB3";	// Database prefix


/**********************************/
/*                                */
/* Don't Edit Below !             */
/*                                */
/**********************************/
$border           = 0;
$cellspacing      = 0;

/* Total Amount of Topics */
$result = $db->sql_query( "SELECT topic_id  FROM ".$prefix."_bb3topics" );
$Amount_Of_Topics = $db->sql_numrows( $result );

/* Total Amount of Posts */
$result = $db->sql_query( "SELECT post_id  FROM ".$prefix."_bb3posts" );
$Amount_Of_Posts = $db->sql_numrows( $result );

/* Total Amount of Topic Views */
$Amount_Of_Topic_Views = 0;
$result = $db->sql_query( "SELECT topic_views FROM ".$prefix."_bb3topics" );
while( list( $topic_views ) = $db->sql_fetchrow( $result ) )
{
   $Amount_Of_Topic_Views = $Amount_Of_Topic_Views + $topic_views;
}

/* Total Amount of Topic Replies */
$Amount_Of_Topic_Replies = 0;
$result = $db->sql_query( "SELECT topic_replies FROM ".$prefix."_bb3topics" );
while( list( $topic_replies ) = $db->sql_fetchrow( $result ) )
{
   $Amount_Of_Topic_Replies = $Amount_Of_Topic_Replies + $topic_replies;
}

/* Last X New Topics */
$Count_Topics = 0;
$Topic_Buffer = "";
$result1 = $db->sql_query( "SELECT topic_id, forum_id, topic_last_post_id, topic_title, topic_poster, topic_views, topic_replies, topic_moved_id, topic_time FROM ".$prefix."_bb3topics ORDER BY topic_last_post_id DESC" );
while( list( $topic_id, $forum_id, $topic_last_post_id, $topic_title, $topic_poster, $topic_views, $topic_replies, $topic_moved_id, $topic_time ) = sql_fetch_row( $result1, $dbi ) )

{

   $skip_display = 0;
   if( $HideViewReadOnly == 1 )
   {
      $result5 = $db->sql_query( "SELECT auth_view, auth_read FROM ".$prefix."_bb3forums where forum_id = '$forum_id'" );
      list( $auth_view, $auth_read ) = $db->sql_fetchrow( $result5 );
      if( ( $auth_view != 0 ) or ( $auth_read != 0 ) ) { $skip_display = 1; }
   }

   if( $topic_moved_id != 0 )
   {
          // Shadow Topic !!
      $skip_display = 1;
   }

   if( $skip_display == 0 )
   {
          $Count_Topics += 1;
      $result2 = $db->sql_query( "SELECT topic_id, poster_id, post_time FROM ".$prefix."_bb3posts where post_id = '$topic_last_post_id'" );
      list( $topic_id, $poster_id, $post_time ) = $db->sql_fetchrow( $result2 );
      $posttimerow = date('Y-m-d H:i:s', $post_time);
      $posttime = explode(" ", $posttimerow);
      $startdate = hejridate($posttimerow, 4, 1);

      $result3 = $db->sql_query( "SELECT username, user_id FROM ".$prefix."_bb3users where user_id='$poster_id'" );
      list( $uname, $uid ) = $db->sql_fetchrow( $result3 );
      $LastPoster = "<a title=\"آخرین ارسال توسط $uname در $startdate\" href=\"modules.php?name=phpBB3&file=memberlist&mode=viewprofile&u=$poster_id\">$uname </a>";

      $result4 = $db->sql_query( "SELECT username, user_id FROM ".$prefix."_bb3users where user_id='$topic_poster'" );
      list( $uname, $uid ) = $db->sql_fetchrow( $result4 );
      $OrigPoster = "$uname";


      $TopicImage = "&nbsp;<img border=0 src=\"images/icon/minisquare.png\">";
      $topictimerow = date('Y-m-d H:i:s', $topic_time);
$topictime = explode(" ", $topictimerow);
$topicstartdate = hejridate($topictimerow, 4, 1);


      $TopicTitleShow = "<a href=\"modules.php?name=phpBB3&file=viewtopic&f=$forum_id&t=$topic_id\" title=\"ایجاد شده در $topicstartdate توسط $OrigPoster\">$topic_title</a>";

      $Topic_Buffer .= "<tr onmouseover=\"this.style.backgroundColor='#FFFFB9';\" onmouseout=\"this.style.backgroundColor='#FBFEFF';\"  onclick=\"this.style.backgroundColor='#FFFF0D';\" height=\"34\"><td>$TopicImage</td><td >$TopicTitleShow (<img src=\"images/clicks.gif\" title=\"بازدید\">$topic_views)<br>از: $OrigPoster</td><td  align=\"center\">$LastPoster<br>$topic_replies پاسخ</td></tr>";
   }

   if( $Last_New_Topics == $Count_Topics ) { break 1; }

}

/* Write Table to Screen */
$content = "";
$content .= "<table width=\"100%\" border=\"$border\"  cellspacing=\"$cellspacing\" bordercolor=\"$bgcolor2\" bgcolor='white'>";
$content .= "<tr><td height='28' width='1%'  background='".$phpBB3root."/styles/".$phpBB3Theme."/theme/images/bg_list.gif' align=\"center\"></td><td align=\"center\" background='".$phpBB3root."/styles/".$phpBB3Theme."/theme/images/bg_list.gif'><b>عنوان</b></font></font></td><td width=\"25%\" align=\"center\" background='".$phpBB3root."/styles/".$phpBB3Theme."/theme/images/bg_list.gif'><b>آخرین ارسال</b></td></tr>";
$content .= "$Topic_Buffer";
$content .= "<tr><td height='30' background='".$phpBB3root."/styles/".$phpBB3Theme."/theme/images/bg_list.gif' align=\"center\" colspan=\"6\">موضوعات: <b>$Amount_Of_Topics</b>&nbsp;<b>|</b>&nbsp;ارسال ها: <b>$Amount_Of_Posts</b>&nbsp;<b>|</b>&nbsp;بازدید ها: <b>$Amount_Of_Topic_Views</b>&nbsp;<b>|</b>&nbsp;پاسخ ها: <b>$Amount_Of_Topic_Replies</b>&nbsp;<b></center></td></tr>";
$content .= "</table>";
$content .= "<center>[ <a href=\"modules.php?name=phpBB3\">انجمنهای گفتگو</a> ]&nbsp;&nbsp;&nbsp;[ <a href=\"modules.php?name=phpBB3&file=search\">جستجو</a> ]</center>";

?>