<?php


/**
	+-----------------------------------------------------------------------+
	|																		|
	|	* @package USV NUKELEARN PORTAL										|
	|	* @version : 1.0.0.599												|
	|	* @copyright (c) Nukelearn Group									|
	|	* http://www.nukelearn.com											|
	|																		|
	|	* @Portions of this software are based on PHP-Nuke					|
	|	* http://phpnuke.org - 2002, (c) Francisco Burzi					|
	|																		|
	|	* @license http://opensource.org/licenses/gpl-license.php 			|
	|																		|
   	|   ======================================== 							|
   	|		You should not sell this product to others	 					|
	+-----------------------------------------------------------------------+
*/

if (stristr($_SERVER['PHP_SELF'], "db.php")) {
    Header("Location: index.php");
    die();
}

if (defined('FORUM_ADMIN')) {
    $the_include = "../../../db";
} elseif (defined('INSIDE_MOD')) {
    $the_include = "../../db";
} else {
    $the_include = "db";
}

switch($dbtype) {

	case 'MySQL':
		include("".$the_include."/mysql.php");
		break;

	case 'mysql4':
		include("".$the_include."/mysql4.php");
		break;

	case 'sqlite':
		include("".$the_include."/sqlite.php");
		break;

	case 'postgres':
		include("".$the_include."/postgres7.php");
		break;

	case 'mssql':
		include("".$the_include."/mssql.php");
		break;

	case 'oracle':
		include("".$the_include."/oracle.php");
		break;

	case 'msaccess':
		include("".$the_include."/msaccess.php");
		break;

	case 'mssql-odbc':
		include("".$the_include."/mssql-odbc.php");
		break;
	
	case 'db2':
		include("".$the_include."/db2.php");
		break;

}


$db = new sql_db($dbhost, $dbuname, $dbpass, $dbname, false);
$TblCount = $db->sql_numrows($db->sql_query("SHOW TABLES"));



if(!$db->db_connect_id || $TblCount < 50 || !file_exists("config.php")) {
if (!defined('INSTALLATION_FILE')) {
?><style type="text/css">p.error {font-size: 90%;font-weight: bold;}#bd .error, #bd .warning, #bd .info, #bd .message {border-radius: 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px; font-weight: normal; padding: 10px !important; margin: 10px 0 !important; clear: both;}#bd .error {background:#FDD; border:1px solid #FBB;}</style><?php
	if (file_exists("install.php")) {
		die("<div id='bd'  class=\"error\"><p class=\"error\"><img src='images/icon/exclamation.png' title='Attention' alt='Attention'><b>It seems CMS is not installed yet OR Database is empty . Please install the portal.</b><br><br><font size='5px' color='blue'><a href='install.php' ><b>INSTALL</b></a></font><br> <a href='install.php' > INSTALL NOW </a><br><br>More @ : Tables Installed IN $dbname are : #$TblCount</p><div>");
	} else {
		die("<div id='bd'  class=\"error\"><p class=\"error\"><img src='images/icon/exclamation.png' title='Attention' alt='Attention'><b>Attention:</b>It seems CMS is not installed yet OR Database is empty . Please install the portal.<br><br>More @ : Tables Installed Right Now are $TblCount <br><br>Install File is Absent</p><div>");
	}
}
}


?>