<?php

/************************************************************************
   Nuke-Evolution: Site Map
   ============================================
   Copyright  2005 by The Nuke-Evolution Team - Nuke-Evolution.com
  
   Filename      : GT-Site_Map.php
   Author        : LombudXa (Rodmar) (www.evolved-Systems.net)
   Version       : 2.0.0
   Date          : 12/18/2005 (mm-dd-yyyy)

   Description   : Site Map generates a list of useful links from your
                   modules and displays them on one page. Goal is to
                   provide search engines like Google with a static page
                   of links to dynamic pages. You should link to this
                   page from your sites home page somewhere.
************************************************************************/

if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
    Header("Location: ../index.html");
    die();
}

$urlin = array(
"'(?<!/)modules.php\?name=Downloads&amp;d_op=viewdownloaddetails&amp;lid=([0-9]*)&amp;ttitle=([/:\-\'{}()\,\._&amp;a-zA-Z0-9+= \@]*)'",
"'(?<!/)modules.php\?name=Web_Links&amp;l_op=viewlinkdetails&amp;lid=([0-9]+)&amp;ttitle=([/:\-\'{}()\,\._&amp;a-zA-Z0-9+= \@]*)'",
"'(?<!/)modules.php\?op=modload&amp;name=SPChat&amp;file=index&amp;roomid=([0-9]*)'",
"'(?<!/)modules.php\?name=Your_Account&amp;op=userinfo&amp;username=([a-zA-Z0-9_-]*)'",
"'(?<!/)modules.php\?name=Content&amp;pa=showpage&amp;pid=([0-9]*)'",
"'(?<!/)modules.php\?name=FAQ&amp;file=index&amp;myfaq=yes&amp;id_cat=([0-9]*)'",
"'(?<!/)modules.php\?name=Projects&amp;op=PJProject&amp;project_id=([0-9]*)'",
"'(?<!/)modules.php\?name=Forums&amp;file=kb&amp;mode=article&amp;k=([0-9]*)'",
"'(?<!/)modules.php\?name=Forums&amp;file=kb&amp;mode=cat&amp;cat=([0-9]*)'",
"'(?<!/)modules.php\?name=Forums&amp;file=games&amp;gid=([0-9]*)'",
"'(?<!/)modules.php\?name=Forums&amp;file=viewtopic&amp;t=([0-9]*)'",
"'(?<!/)modules.php\?name=Forums&amp;file=viewforum&amp;f=([0-9]*)'",
"'(?<!/)modules.php\?name=Forums&amp;file=index&amp;c=([0-9]*)'",
"'(?<!/)modules.php\?name=ForumNews&amp;news_id=([0-9]*)'",
"'(?<!/)modules.php\?name=Reviews&amp;rop=showcontent&amp;id=([0-9]*)'",
"'(?<!/)modules.php\?name=Tutorials&amp;t_op=showtutorial&amp;pid=([0-9]*)'",
"'(?<!/)modules.php\?name=Tutorials&amp;t_op=viewtutorial&amp;tc_id=([0-9]*)'",
"'(?<!/)modules.php\?name=coppermine&amp;file=displayimagepopup&amp;pid=([0-9]*)&amp;fullsize=([0-9]*)'",
"'(?<!/)modules.php\?name=coppermine&amp;file=thumbnails&amp;album=([0-9]*)'",
"'(?<!/)modules.php\?name=coppermine&amp;cat=([0-9]*)'",
"'(?<!/)modules.php\?name=News&amp;file=article&amp;sid=([0-9]*)'",
"'(?<!/)modules.php\?name=Site_Map'"
);

$urlout = array(
"downloaddetails-\\1-\\2.html",
"viewlinkdetails-\\1-\\2.html",
"chat-joinroom-\\1.html",
"userinfo-\\1.html",
"content-\\1.html",
"faq-cat-\\1.html",
"projects-project-\\1.html",
"forums-kb-article-\\1.html",
"forums-kb-cat-\\1.html",
"forums-arcade-game-\\1.html",
"ftopic-\\1.html",
"forum-\\1.html",
"forum-c\\1.html",
"forumnews-news_id-\\1.html",
"reviews-\\1.html",
"tutorials-show-\\1.html",
"tutorials-view-\\1.html",
"gallery-popup-\\1-\\2.html",
"gallery-album-\\1.html",
"gallery-\\1.html",
"article\\1.html",
"site_map.html"
);

?>