<?php

/**
 *
 * @package acp														
 * @version $Id: acp_dashboard.php 6:45 PM 1/9/2010 Aneeshtan $						
 * @copyright (c) Nukelearn Group  http://www.nukelearn.com											
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

/**
 * @ignore
 */

if (! defined ( 'ADMIN_FILE' )) {
	exit ();
}

require (INCLUDES_ACP . 'acp_style.php');
require (INCLUDES_ACP . 'acp_news.php');

function ADMIN_PANE() {
	
	if (! defined ( 'ADMIN_FILE' )) {
		die ( "Access Denied" );
	}
		global $language, $admin, $aid, $prefix, $file, $db, $sitename, $user_prefix, $admin_file, $bgcolor1, $locale, $USV_Version, $Default_Theme, $queries_count, $total_mem, $start_mem, $ab_config;

	if (is_admin($aid)) {
	jq_toggle_box ( 'xmain', 'a', 'pane_iframe' );

	if (is_superadmin($aid)) {
		$admin_home = ajaxify_home ;
	}else {
		$admin_home = ADMIN_OP.'GraphicModules';
	}
?>

<div class="helpLinks"><!-- divider --> <!-- PANE HIDE -->
<div id="pane_iframe" style="text-align:center;">
<table style="width: 100%">
	<tr>
		<td style="width: 50%" class="wrapperDIV">

		<div id="nav">
		<ul>

		<?php if (is_superadmin($aid)) {?>
		<li><a class="selected" href="<?php
		echo ADMIN_OP?>GraphicAdminM"><img src="images/icon/page_add.png"><?php
		echo _AP_SITEADMIN?></a></li>
		<?php } ?>
		<li><a href="<?php
		echo ADMIN_OP?>GraphicModules"><img src="images/icon/plugin.png"><?php
		echo _AP_MODULEADMIN?></a></li>
			<li><a href="<?php
		echo ADMIN_OP?>StatMain"><img src="images/icon/chart_bar_link.png"><?php
		echo _AP_AMARTAKMILI?></a></li>
		</ul>
		</div>
		<hr>
		<div id="wrapper"></div>
		</td>
		<td style="width: 50%" class="wrapperDIV">
		<?php ADMIN_INFO ();?>
		</td>
	</tr>
</table>
</div>
<script langauge="JavaScript"type="text/javascript">$(function(){function a(b){$.get(b,function(c){$("#wrapper").slideUp('fast',function(){$(this).html(c).fadeIn('fast',function(){})})})}$("div#nav ul li a").click(function(){$('#nav ul li a.selected').removeClass('selected');$(this).addClass('selected');a($(this).attr('href'));return false});a('<?php echo $admin_home ?>')});</script>

<span style="font-size:11px;color:white">برای مخفی کردن و یا نمایش  پنجره بالا کلیک ککنید</div>

<a href="#" id="xmain"><center><img id="pane_iframe-toggle"
src="includes/acp/style/images/bannerhide.png" alt="Banner"
border="0px" />
</a>
<br>
<br>
<!-- END PANE -->
<?php
	} else {
		show_error (HACKING_ATTEMPT);
	}
}
function ADMIN_NOTIFICATIONS() {
	
	if (! defined ( 'ADMIN_FILE' )) {
		die ( "Access Denied" );
	}
	global $language, $admin, $aid,$prefix, $file, $db, $sitename, $user_prefix, $admin_file, $bgcolor1, $locale, $USV_Version, $Default_Theme, $queries_count, $total_mem, $start_mem, $ab_config;
	
	
	
	if (is_superadmin($aid) OR is_admin_of('News',$aid)) {
		
		echo '<table style="width:100%"><tr>';
		
		if (is_active ( "News" )) {
			
			echo '<td  style="width:50%" class="box_wrapper"><br><br>';
			
			//auto_news();

			news_list ();
			
			echo '</td>' . //End Left sider

			'<td  style="width:50%" class="box_wrapper"><br><br>';
			
		echo acp_help();

		comments_moderated ( '0', '' );

		echo "</td>"; //End Left sider	
		}
		echo "</tr></table>";
	}
		
	nukelearn_RSS();
	

}
function acp_help(){
global $db;
$num = $db->sql_numrows($db->sql_query("SELECT * FROM ".COMMENTS_TABLE."  WHERE active='1' "));
if (empty($num)) {

$help_show = "<a href='JavaScript:void(0);' id='openup' class='notify' >راهنمای مدیریت را باز کنید</a>

<div id='notes'  style='display:none'>
چند نکته برای شروع کار
<div style='padding-right:30px;text-align:left;'><a href='JavaScript:void(0);' id='close' class='error'>[بستن راهنما]</a></div>
<br>
<li><a href='".ADMIN_OP."Configure'> تنظیمات سایت خود را انجام دهید</a></li>
<li><a href='".ADMIN_OP."adminStory'> در سایت خود مطلب ارسال کنید</a></li>
<li><a href='".ADMIN_OP."mod_authors'> رمز مدیر سایت را عوض کنید </a></li>
<li><a href='".ADMIN_OP."ABMain'>سایت خود را غیرفعال کنید</a></li>
<li><a href='".ADMIN_OP."BlocksAdmin'> چینش بلوک ها را تغییر دهید  </a></li>
<li><a href='".ADMIN_OP."ipban'> ip خاصی را از بازدید سایت منع کنید  </a></li>
<li><a href='".ADMIN_OP."Configure'> می خواهم قالب سایت را عوض کنم </a></li>
</div>"
.'<script>
    $("#openup").click(function () { 
    $("#openup").addClass("hidden").fadeOut(400),
    $("#notes").slideDown().addClass("notify");  
    }); 
    $("#close").click(function () { 
    $("#openup").addClass("notify").fadeIn(400),
    $("#notes").slideUp();  
    });
</script>';
 }
return $help_show;
}
function ADMIN_INFO() {

	global $language, $admin, $aid, $prefix, $file, $db, $sitename, $user_prefix, $admin_file, $locale, $USV_Version, $CacheSystem, $Default_Theme, $queries_count, $total_mem, $start_mem, $ab_config,$nuke_editor;

	if (is_admin($aid)) {

		list ( $main_module ) = $db->sql_fetchrow ( $db->sql_query ( "SELECT main_module from " . $prefix . "_main" ) );

		//0-- Fetch Registration Count
		$dummy = 0;
		$month = date ( 'M' );
		$curDate2 = "%" . $month [0] . $month [1] . $month [2] . "%" . date ( 'd' ) . "%" . date ( 'Y' ) . "%";
		$ty = time () - 86400;
		$preday = strftime ( '%d', $ty );
		$premonth = strftime ( '%B', $ty );
		$preyear = strftime ( '%Y', $ty );
		$curDateP = "%" . $premonth [0] . $premonth [1] . $premonth [2] . "%" . $preday . "%" . $preyear . "%";

		list($gfx_chk,$use_question)= $db->sql_fetchrow ( $db->sql_query ( "SELECT  gfx_chk,use_question FROM " . USV_CONFIGS_TABLE . ""));

		if (empty($gfx_chk)) {
			$SECURITY_CODE = 'تصویری';
		}else {
			$SECURITY_CODE = 'سوالی';
		}

		list ( $totaluser ) = $db->sql_fetchrow ( $db->sql_query ( "SELECT COUNT(user_id) AS userCount from " . $user_prefix . "_users ") );
		list ( $userCount) = $db->sql_fetchrow($db->sql_query("SELECT COUNT(user_id) AS userCount from " . $user_prefix . "_users WHERE user_regdate LIKE '$curDate2'"));
		list ( $userCount2) = $db->sql_fetchrow($db->sql_query("SELECT COUNT(user_id) AS userCount FROM " . $user_prefix . "_users WHERE user_regdate LIKE '$curDateP'"));

		list($totalcomm) = $db->sql_fetchrow ( $db->sql_query ( "SELECT COUNT(tid) AS totalcomm from " . COMMENTS_TABLE . ""));
		list($waiting_comm) = $db->sql_fetchrow ( $db->sql_query ( "SELECT COUNT(tid) AS waiting_comm from " . COMMENTS_TABLE . " WHERE active='0'"));

		list($totalposts) = $db->sql_fetchrow ( $db->sql_query ( "SELECT COUNT(sid) AS totalposts from " . STORY_TABLE . ""));
		list($waiting_posts) = $db->sql_fetchrow ( $db->sql_query ( "SELECT COUNT(sid) AS waiting_posts from " . STORY_TABLE . " WHERE approved='2'"));

		list($totalfiles) = $db->sql_fetchrow ( $db->sql_query ( "SELECT COUNT(lid) AS totalfiles from " . DOWNLOAD_TABLE . ""));
		list($waiting_files) = $db->sql_fetchrow ( $db->sql_query ( "SELECT COUNT(lid) AS waiting_files from " . SUBMIT_DOWNLOAD_TABLE . ""));

		list($totaltags) = $db->sql_fetchrow ( $db->sql_query ( "SELECT COUNT(tid) AS totaltags from " . TAGS_TABLE . ""));
		list($totalcats) = $db->sql_fetchrow ( $db->sql_query ( "SELECT COUNT(topicid) AS totalcats from " . TOPICS_TABLE . ""));

		if (empty ( $USV_Version )) {
			$USV_Version = "Installation NOt Compeleted";
		}

		$mouseover_effect = 'style="background-color:#F5F5F5;color:white" onMouseOver="this.style.backgroundColor=\'#FFCC00\'"
 onMouseOut="this.style.backgroundColor=\'#F5F5F5\'"';

		echo '
<center><table class="widefat comments fixed"  id="tableinfo">
    <colgroup>
    	<col />
    	<col />
    	<col />
        <col />
    </colgroup>
    <thead>
    	<tr ' . $mouseover_effect . '>
        	<th scope="col">' . _TITLE . '</th>
            <th scope="col">' . _DESCRIPTION . '</th>
            <th scope="col">' . _TITLE . '</th>
            <th scope="col">' . _DESCRIPTION . '</th>
        </tr>
    </thead>
    <tbody>
    
<tr ' . $mouseover_effect . '>
	<td>' . _SITENAME . ' </td> 
		<td><strong>' . $sitename . ' </strong></td> 
		<td>' . _MODULEINHOME . ' </td> 
		<td><strong>' . $main_module . '&nbsp;&nbsp;[ <a href="' . ADMIN_OP . 'modules"><img src="images/icon/building_edit.png"  border="0" width="16" height="16" alt="' . _CHANGE . '" title="' . _CHANGE . '"></a> ]</strong></td> 
	</tr> ';

		echo '<tr ' . $mouseover_effect . '>
		<td>' . _ALL . '&nbsp;' . _REGISTERED_USERS . ' </td> 
		<td><span  class="approved">' .$totaluser. '</span></td> 
		<td>' . _REGISTERED_USERS . '&nbsp;' . _BTD . ' 
		<strong>' . $userCount . '</strong>
		</td> 
		<td>
		' . _REGISTERED_USERS . '&nbsp;' . _BYD . '
		<strong>' . $userCount2 . '</strong></td> 
	</tr> ';

		echo '<tr ' . $mouseover_effect . '>
		<td>' . _USV_VERSION . '</td> 
		<td><strong>' . $USV_Version . '</strong></td> 
		<td>' . _CHK_VER . '</td> '
		//<td><strong>' . VALIDATE_VERSION ( $USV_Version ) . '</strong></td>
		.'<td><strong><a href="http://www.nukelearn.com/versions.php">بررسی نسخه </a></strong></td>
	</tr>
	
	<tr ' . $mouseover_effect . '>

	<td><span class="approved">' . intval($totalposts) . '</span><a href="'.ADMIN_OP.'ShowNewsPanel">
		&nbsp;مطلب 
		</a></td> 
		<td><span class="waiting">' . intval($waiting_posts) . '</span><a href="'.ADMIN_OP.'ShowNewsPanel">
		&nbsp;مطلب منتظر 
		</a></td> 

	<td><span class="approved">' . intval($totalcomm) . '</span><a href="'.ADMIN_OP.'moderation_news">&nbsp;نظر </a></td> 
		<td><span class="waiting">' . intval($waiting_comm) . ' </span> <a href="'.ADMIN_OP.'moderation_news">
		 نظر منتظر &nbsp;
		</a></td> 
		

	</tr>
		
	<tr ' . $mouseover_effect . '>
		<td><span class="approved">' . intval($totalfiles) . '</span><a href="'.ADMIN_OP.'DLMain">
		&nbsp;فایل 
		</a></td> 
		<td><span class="waiting">' . intval($waiting_files) . '</span><a href="'.ADMIN_OP.'DownloadNew">
		&nbsp;فایل منتظر 
		</a></td>  
		
		<td><span class="approved">' . intval($totaltags) . '</span><a href="'.ADMIN_OP.'Tags">
		&nbsp;کلیدواژه
		</a></td>  
		<td><span  class="approved">' . intval($totalcats) . '</span><a href="'.ADMIN_OP.'topicsmanager">
		&nbsp;موضوع
		</a></td>  
	</tr>';

		echo '<tr ' . $mouseover_effect . '>
		<td>' . _THEME_DEFAULT . '</td> 
		<td><strong>' . $Default_Theme . '</strong> &nbsp;&nbsp; <a href="' . ADMIN_OP . 'Configure">
		<img src="images/icon/building_edit.png"  border="0" width="16" height="16" alt="' . _CHANGE . '" title="' . _CHANGE . '"></a> </td> 
			<td>' . _CACHE_ACTIVE . ' </td> 
		<td><strong> ';
		if ($CacheSystem == 1) {
			echo "" . _ENABLED . "";
		} else {
			echo "" . _DISABLE . "";
		}
		echo '</strong></td>
        </tr>
        
 <tr '.$mouseover_effect.'>
		<td>'. _SECURITYCODE .'</td> 
		<td><strong>'.$SECURITY_CODE.'</strong> &nbsp;&nbsp;[ <a href="' . ADMIN_OP . 'UsersConfig"><img src="images/icon/building_edit.png"  border="0" width="16" height="16" alt="'. _CHANGE .'" title="'. _CHANGE .'"></a> ]</td> 
	<td>' . _EDITOR . ' </td> 
	<td><strong> ';
		if ($nuke_editor == 1) {
			echo "" . _ENABLED . "";
		} else {
			echo "" . _DISABLE . "";
		}
		echo '</strong></td>
		
      </tr>'



		. '</tbody>
    </table></center>';

	}

}
function GraphicAdmin() {
ADMIN_PANE ();
}
function GraphicAdminM() {
	
	global $aid, $admingraphic, $language, $admin, $prefix, $db, $counter, $admin_file;
	$newsubs = $db->sql_numrows ( $db->sql_query ( "SELECT qid FROM " . $prefix . "_queue" ) );
	$row = $db->sql_fetchrow ( $db->sql_query ( "SELECT radminsuper FROM " . $prefix . "_authors WHERE aid='$aid'" ) );
	$radminsuper = intval ( $row ['radminsuper'] );
	if (is_superadmin($aid)) {
		echo "<table border=\"0\" width=\"100%\" cellspacing=\"0\"><tr>";
		$linksdir = dir ( "admin/links" );
		$menulist = "";
		while ( $func = $linksdir->read () ) {
			if (substr ( $func, 0, 6 ) == "links.") {
				$menulist .= "$func ";
			}
		}
		closedir ( $linksdir->handle );
		$menulist = explode ( " ", $menulist );
		sort ( $menulist );
		for($i = 0; $i < sizeof ( $menulist ); $i ++) {
			if (! empty ( $menulist [$i] )) {
				$sucounter = 0;
				include ($linksdir->path . "/$menulist[$i]");
			}
		}
		
		echo "</tr></table></center>";
		$counter = "";
		
		echo "<br>";
	}

}
function GraphicModules() {

	global $aid, $admingraphic, $language, $admin, $prefix, $db, $counter, $admin_file;

	$newsubs = $db->sql_numrows($db->sql_query("SELECT qid FROM ".$prefix."_queue"));

	$row = $db->sql_fetchrow($db->sql_query("SELECT radminsuper FROM ".$prefix."_authors WHERE aid='$aid'"));

	$radminsuper = intval($row['radminsuper']);


	echo"<table border=\"0\" width=\"100%\" cellspacing=\"1\"><tr>";

	$handle=opendir('modules');

	$modlist = "";

	while ($file = readdir($handle)) {

		if ( (!ereg("[.]",$file)) ) {

			$modlist .= "$file ";

		}

	}

	closedir($handle);

	$modlist = explode(" ", $modlist);

	sort($modlist);

	for ($i=0; $i < sizeof($modlist); $i++) {

		if(!empty($modlist[$i])) {

			$row = $db->sql_fetchrow($db->sql_query("SELECT mid from " . $prefix . "_modules where title='$modlist[$i]'"));

			$mid = intval($row['mid']);

			if (empty($mid)) {

				$db->sql_query("insert into " . $prefix . "_modules values (NULL, '$modlist[$i]', '$modlist[$i]', '0', '0', '1', '0', '')");

			}

		}

	}

	$result = $db->sql_query("SELECT title, admins FROM ".$prefix."_modules ORDER BY title ASC");

	$row2 = $db->sql_fetchrow($db->sql_query("SELECT name FROM ".$prefix."_authors WHERE aid='$aid'"));

	while ($row = $db->sql_fetchrow($result)) {

		$admins = explode(",", $row['admins']);

		$auth_user = 0;

		for ($i=0; $i < sizeof($admins); $i++) {

			if ($row2['name'] == $admins[$i]) {

				$auth_user = 1;

			}

		}

		if ($radminsuper == 1 OR $auth_user == 1) {

			if (file_exists("modules/".$row['title']."/admin/index.php") AND file_exists("modules/".$row['title']."/admin/links.php") AND file_exists("modules/".$row['title']."/admin/case.php")) {

				include("modules/".$row['title']."/admin/links.php");

			}

		}

	}
	echo"</tr></table></center>";
	}

?>