<?php
/**
*
* @package constants														
* @version $Id: constants.php RC-7 11:49 AM 1/2/2010 Aneeshtan $						
* @copyright (c) Nukelearn Group  http://www.nukelearn.com											
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_USV'))
{
exit;
}

if (stristr(htmlentities($_SERVER['PHP_SELF']), "constants.php")) {
    die("Access Denied<br><b>".$_SERVER['PHP_SELF']."</b>");
}

//===========================================
//Defined Constants
//===========================================
   
define('VALIDATED',			'<img src="images/powered/vl.png">');
define('UNVALIDATED',		'<img src="images/powered/uvl.png">');
define('USV_VERSION', 'USV 1.0.0.5');

//===========================================
//Cache Defined Path
//===========================================
define("CACHE_PATH_MAIN","includes/jpcache/jpcache.php");

/************************************************************************/
/* Use nukeNAV(tm)
 * 0  = Do not display nukeNAV top menu
 * 1  = Display nukeNAV top menu for admins only
 * 2  = Display nukeNAV top menu for all visitors
 ************************************************************************/
$usenukeNAV = 2;
$showAdminMenu = true; // Use "false" to hide the Super User (upper) portion of the ACP when nukeNAV(tm) is in use

//===========================================
//TABLE Defined Path
//===========================================


define("ZEBRA_TABLE","				".$prefix."_bb3zebra");
define("USERS_TABLE","				".$prefix."_bb3users");
define("PM_TO_TABLE","				".$prefix."_bb3privmsgs_to");
define("PM_TABLE","					".$prefix."_bb3privmsgs");
//--Nuke Tables ---
define("STORY_TABLE","				".$prefix."_stories");
define("STORY_CAT_TABLE","			".$prefix."_stories_cat");


define("COMMENTS_TABLE","			".$prefix."_comments_moderated");

define("DOWNLOAD_TABLE","			".$prefix."_nsngd_downloads");
define("SUBMIT_DOWNLOAD_TABLE","	".$prefix."_nsngd_new");
define("DOWNLOAD_CAT_TABLE","		".$prefix."_nsngd_categories");

define("BLOG_TABLE","				".$prefix."_blogs");
define("TAGS_TABLE","				".$prefix."_tags");
define('USV_CONFIGS_TABLE',			$prefix . '_config');
define("USV_TOPICS_TABLE","			".$prefix."_topics");
/*
if (!defined("AUTH_TABLE")) {define('AUTH_TABLE',			$prefix . '_authors');};
if (!defined("BANNED_TABLE")) {define('BANNED_TABLE',			$prefix . '_banned_ip');};
if (!defined("BANNER_TABLE")) {define('BANNER_TABLE',			$prefix . '_banner');};
if (!defined("BLOCKS_TABLE")) {define('BLOCKS_TABLE',			$prefix . '_blocks');};
if (!defined("CNBYA_CONFIG_TABLE")) {define('CNBYA_CONFIG_TABLE',			$prefix . '_cnbya_config');};
if (!defined("CONFIGS_TABLE")) {define('CONFIGS_TABLE',			$prefix . '_config');};
define('GROUP_TABLE',			$prefix . '_groups');
define('GROUPS_POINTS_TABLE',	$prefix . '_groups_points');
define('MODULES_TABLE',			$prefix . '_modules');
define('STORIES_TABLE',			$prefix . '_stories');
define('STORIES_CAT_TABLE',		$prefix . '_stories_cat');
define('TAGS_TABLE',			$prefix . '_tags');
define('TOPICS_TABLE',			$prefix . '_topics');
define('USER_TABLE',			$prefix . '_users');
*/

//===========================================
// Common $vars
//===========================================

define('NUKE_FILE', true);
$dbi = sql_connect($dbhost, $dbuname, $dbpass, $dbname);
$result = $db->sql_query("SELECT * FROM ".$prefix."_config");
$row = $db->sql_fetchrow($result);
$sitename = stripslashes(check_html($row['sitename'], "nohtml"));
$nukeurl = check_html($row['nukeurl'], "nohtml");
$site_logo = check_html($row['site_logo'], "nohtml");
$slogan = stripslashes(check_html($row['slogan'], "nohtml"));
$startdate = check_html($row['startdate'], "nohtml");
$adminmail = check_html($row['adminmail'], "nohtml");
$anonpost = intval($row['anonpost']);
$Default_Theme = check_html($row['Default_Theme'], "nohtml");
$foot1 = stripslashes(check_html($row['foot1'], ""));
$foot2 = stripslashes(check_html($row['foot2'], ""));
$foot3 = stripslashes(check_html($row['foot3'], ""));
$commentlimit = intval($row['commentlimit']);
$anonymous = check_html($row['anonymous'], "nohtml");
$minpass = intval($row['minpass']);
$pollcomm = intval($row['pollcomm']);
$articlecomm = intval($row['articlecomm']);
$broadcast_msg = intval($row['broadcast_msg']);
$my_headlines = intval($row['my_headlines']);
$top = intval($row['top']);
$storyhome = intval($row['storyhome']);
$user_news = intval($row['user_news']);
$oldnum = intval($row['oldnum']);
$ultramode = intval($row['ultramode']);
$loading = intval($row['loading']);
$nextg = intval($row['nextg']);
$banners = intval($row['banners']);
$backend_title = stripslashes(check_html($row['backend_title'], "nohtml"));
$backend_language = check_html($row['backend_language'], "nohtml");
$language = check_html($row['language'], "nohtml");
$locale = check_html($row['locale'], "nohtml");
$multilingual = intval($row['multilingual']);
$useflags = intval($row['useflags']);
$notify = intval($row['notify']);
$notify_email = check_html($row['notify_email'], "nohtml");
$notify_subject = stripslashes(check_html($row['notify_subject'], "nohtml"));
$notify_message = stripslashes(check_html($row['notify_message'], "nohtml"));
$notify_from = check_html($row['notify_from'], "nohtml");
$moderate = intval($row['moderate']);
$admingraphic = intval($row['admingraphic']);
$httpref = intval($row['httpref']);
$httprefmax = intval($row['httprefmax']);
$CensorMode = intval($row['CensorMode']);
$CensorReplace = check_html($row['CensorReplace'], "nohtml");
$copyright = check_html($row['copyright'], "");
$Version_Num = floatval($row['Version_Num']);
$USV_Version = $row['USV_Version'];
$support = $row['support'];
$domain = str_replace("http://", "", $nukeurl);
$mtime = microtime();
$mtime = explode(" ",$mtime);
$mtime = $mtime[1] + $mtime[0];
$get_memory = memory_get_usage();
$start_time = $mtime;
$pagetitle = ""; 

?>