<?php
/**
*
* @package Blog Broadcasting														
* @version $Id: 0999 2009-12-13 12:10 Aneeshtan $						
* @copyright (c) Nukelearn Group  http://www.nukelearn.com											
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/


if (!stristr($_SERVER['SCRIPT_NAME'], "modules.php")) {
	header("Location: ../../../index.php");
	die ();
}
if (!defined('CNBYA')) { echo "CNBYA protection"; exit; }

define("BLOG_POST_LIMIT",50);


function postlimit_validator(){
	global $db,$userinfo,$log;
	$numrows = $db->sql_numrows($db->sql_query("SELECT * FROM ".BLOG_TABLE." WHERE sender='".sql_quote($userinfo['user_id'])."' "));
	if ($numrows > BLOG_POST_LIMIT) {
		$log->lwrite('users',"".$userinfo['username'] ."تعداد  پست ها بیش از  تعداد مجاز شده است ");
		show_error("You reach ".BLOG_POST_LIMIT." تعداد  پست ها بیش از  تعداد مجاز (".BLOG_POST_LIMIT.") شده است , برخی  از پست های قدیمی خود را حذف کنید ");
	}

}

function blog_post(){
	global $db,$prefix,$module_name,$the_message,$userinfo,$pm;

	if (!empty($the_message)) {
		$who = 	$userinfo['username'];
		$numrows = $db->sql_numrows($db->sql_query("SELECT * FROM ".$prefix."_public_messages WHERE who='".sql_quote($who)."' "));
		$the_message = stripslashes(check_words(check_html($the_message,"nohtml")));
		if (!empty($pm)) {
			//-------- START OF PUBLIC MESSAGING----------//
			include("header.php");
			title(""._BROADCAST."");
			OpenTable();

			if ($numrows == 0) {
				$db->sql_query("INSERT INTO ".$prefix."_public_messages VALUES (NULL, '$the_message', now(), '".sql_quote($who)."')");
				update_points(20);
				echo "<center>"._BROADCASTSENT."<br><br>[ <a href=\"modules.php?name=$module_name\">"._RETURNPAGE."</a> ]</center>";
			} else {
				echo "<center>"._BROADCASTNOTSENT."<br><br>[ <a href=\"modules.php?name=$module_name\">"._RETURNPAGE."</a> ]</center>";

				CloseTable();
			}
			include("footer.php");


		}else {
			//-------- START OF BLOG ROLLING-----------//
			postlimit_validator();
			$db->sql_query("INSERT INTO ".BLOG_TABLE." VALUES (NULL,'', '".sql_quote($the_message)."', now(), '".sql_quote($userinfo['user_id'])."','','')") or 
			mysql_error();
			Header("Location: modules.php?name=$module_name");
		}

	}else {
		Header("Location: modules.php?name=$module_name");

	}
}

function blog_like($bid){
	global $db,$userinfo,$module_name,$prefix,$log;

	if (empty($bid) or $_COOKIE["blog-$bid"] or !empty($_COOKIE["blog-$bid"]) ) {
		show_error("You liked this blog post So u can not like it agian");
	}else {
		setcookie("blog-$bid", "".$userinfo['username']."_likes_Post_$bid");
		$db->sql_query("UPDATE ".$prefix."_blogs SET `like` = `like`+1 WHERE bid='$bid'");

		list($reciever) = $db->sql_fetchrow( $db->sql_query("SELECT reciever FROM ".BLOG_TABLE." WHERE bid='".sql_quote($bid)."' limit 1"));

		if (!is_user($user) OR !is_admin($admin)) {

			if (empty($reciever)) {
				$que = "u.user_id = b.sender";
			}else {
				$que = "u.user_id = b.reciever";
			}
			$reciever_row = $db->sql_fetchrow($db->sql_query("SELECT u.username  FROM ".$prefix."_users AS u,
 ".$prefix."_blogs AS b WHERE b.bid='$bid' AND $que "));
			$usergo = $reciever_row['username'];
			Header("Location: modules.php?name=$module_name&op=userinfo&username=$usergo");

		}else {
			$log->lwrite('users',"".$userinfo['username'] ."ما دسترسی لازم برای دوست داشتن این مطلب را ندارید");
			show_error("دسترسی لازم برای دوست داشتن این مطلب را ندارید ");

		}
	}
}

function blog_reply(){
	global $db,$prefix,$module_name,$the_message,$bid,$user_id,$userinfo;
	if (!empty($the_message)) {
		//-------- START OF BLOG REPLYINH-----------//
		$db->sql_query("INSERT INTO ".BLOG_TABLE." VALUES
	   	 (NULL,'$bid','".stripslashes(FixQuotes($the_message))."', now(), '".$userinfo['user_id']."','".sql_quote(intval($user_id))."','')");

		list($username_reply) = $db->sql_fetchrow( $db->sql_query("SELECT username FROM nuke_users WHERE  user_id='".sql_quote($user_id)."' limit 1 "));

		Header("Location: modules.php?name=$module_name&op=userinfo&username=$username_reply");

	}
}

function blog_del($bid){
	global $db,$module_name,$userinfo,$user,$admin,$log;
	$bid = sql_quote(intval($bid));

	list($sender,$reciever) = $db->sql_fetchrow($db->sql_query("SELECT sender,reciever FROM " . BLOG_TABLE . " WHERE tid = '".sql_quote($bid)."'"));

	if (is_user($user) AND $userinfo['user_id'] == $sender OR $userinfo['username'] == $reciever OR is_admin($admin)) {
		$db->sql_query("DELETE FROM ".BLOG_TABLE." WHERE bid='$bid'")or show_error(mysql_error());
		Header("Location: modules.php?name=$module_name");

	}else {
		$log->lwrite('users',"".$userinfo['username'] ."دسترسی لازم برای حذف این مطلب را ندارید");
		show_error("دسترسی لازم برای حذف این مطلب را ندارید");

	}

}

switch($action) {

	case "blog_post":
		blog_post();
		break;

	case "blog_reply":
		blog_reply();
		break;

	case "blog_like":
		blog_like($bid);
		break;

	case "blog_del":
		blog_del($bid);
		break;
}


include("footer.php");

?>