<?php

/************************************************************************/
/* PHPNuke Installer                                                    */
/* Copyright (c) 2005 by Piero Trono                                    */
/* http://php-multishop.com                                             */
/* ======================================                               */
/*                                                                      */
/* This	program	is free	software. You can redistribute it and/or modify	*/
/* it under the	terms of the GNU General Public	License	as published by	*/
/* the Free Software Foundation; either	version	2 of the License.       */
/************************************************************************/
/* $Id: english.php,v 1.2 2005/07/03 22:11:48 tropic Exp $ */

define('CHARSET', 'iso-8859-1');
define("INSTALLATION_PHPNUKE","Installation of PHPNuke");
define("SELECT_LANGUAGE","Select language");
define("NEW_INSTALLATION","New Installation");
define("TEXT_PHPNUKE","PHP-Nuke is an advanced and <i>intelligent</i> content management system designed and programmed with very hard work. PHP-Nuke has the biggest user's community in the world for this kind of application, thousands people (users and programmers) are waiting for you to join the revolution at <a href=\"http://phpnuke.org\">http://phpnuke.org</a> where you can find thousands of modules/addons, themes, blocks, graphics, utilities and much more...");
define("TEXT_INSTALLER","I've created this Installer to simplify the process of installation of PHPNuke, "
		."hoping that it will be useful to many inexpert users, so my little work could contribute to the further diffusion of this great CMS." 
		."<p>Now just click on the <i><u>Start</u></i> button and follow some steps: "
		."first all, if you want to use this platform, you must accept the terms of the GNU/GPL License, "
		."then insert the required data for connection and configuration."
		."<br><br>Good job,<br>&nbsp;&nbsp;<i>Piero Trono</i>.");
define("STEP_1","Step 1: the GNU GENERAL PUBLIC License");
define("STEP_2","Step 2: Copyright Notice");
define("STEP_3","Step 3: Create DataBase");
define("STEP_4","Step 4: DataBase Import");
define("STEP_5","Step 5: Configuration (config.php file)");
define("STEP_6","Step 6: Create the Super-Administrator");
define("STEP_7","Step 7: End of Installation");
define("READ_LICENSE","Please, read the following License, and keep in mind for the next step what the license tells in the <b>2(c)</b> item about <i>Copyright Notice</i>:");
define("ACCEPT","I accept the Agreement");
define("I_READ","I read this notice");
define("I_READ_STOP","You haven't read the notice about the Disclaimer that will be displayed at the footer of the portal."
		."<br><br>Please, click on the <u>retry</u> button and chek the checkbox with the label '<i>" . I_READ . "</i>'.");
define("LICENSE_STOP","You haven't accepted the GNU/GPL License then cannot use this Software, sorry."
		."<br><br>If you want to back to accept the License, click on the <u>retry</u> button.");
define("LICENSE_OK","<b>OK</b>,<br>you have accepted the terms of GNU/GPL License.<br><br>"
		."<b>Important Note</b>:<br>at the footer of PHPNuke, will be displayed a <i>Copyright Notice</i> (<i>disclaimer</i>) "
		."about the authors of the software and the GNU/GPL License: this disclaimer can't be removed.");
define("COPYRIGHT_POLICY","According with the email number 213080 to Dave Turner (GPL Compliance Engineer) from the Free Software Foundation, "
		."this copyright notice is 100% compliant with the GPL license section <b>2(c)</b>."
		."<br><font color=\"#ff0000\"><b>This copyright notice from the generated pages can't be removed</b></font>; if you want to legally remove it must purchase a <a href=\"http://phpnuke.org/modules.php?name=Commercial_License\"><u>Commercial License</u></a>.");
define("I_READ_OK","Thanks for your choice, now you can install <i>PHPNuke</i>.");
define("TEXT_CREATE_DB","Create a database called, for example, <i>nuke</i>.<br>"
		."For example, to make it through a shell on a Unix-like System with MySQL (*), you can put the command:");
define("AFTER_CREATION_DB","If you have successfully created the DB, you can go to the next step.");
define("PHPMYADMIN","(*): naturally you can use other ways to create your DataBase, for example using <a href=\"http://www.phpmyadmin.net\">phpMyAdmin</a>.");
define("CHANGE_PREFIX","If you want to use another <i>Prefix</i> for your DB tables or Users tables, replace the <b>nuke</b>_ words with your preferred Prefix in the file");
define("TEXT_IMPORT_DB","Please enter the DataBase server information:");
define("MISSING_DATA","Some data is missing,<br>please click on the <i>back</i> button below and enter all datas.");
define("ERROR_DB","A test connection made to the database was <b>NOT</b> successful.<br><br>Please click on the <i>back</i> button below to review your database server settings."
		."<br>If you require help with your database server settings, please consult your Hosting Company or Administrator.");
define("ERROR_SQL_FILE","<b>Error</b>: the Sql Import was <b>NOT</b> successful, perhaps the SQL file was not found.<br><br>Check the path on your server:");
define("IMPORT_DB_OK","DataBase <b>Successfully</b> imported.");
define("TEXT_ADMIN_FILE","Administration panel filename: '<i>admin</i>' by default for '<i>admin.php</i>'. To improve security please rename the old admin.php file on your server and insert here the new filename without the .php extension. Note: if you aren't sure set this value to 0.");
define("TEXT_SUBSCRIPTION","If you manage subscriptions on your site, you must write here the url of the subscription information/renewal page. This will send by email if set.");
define("TEXT_ADVANCED_EDITOR","On/Off the advanced WYSIWYG text editor for admins.");
define("TEXT_SECURITY_CODE","Set to dislpay, at login, the image with Security Code.");
define("WRITE_CONFIG","(writing the '<i>config.php</i>' file)");
define("NOT_WRITABLE","<b>Warning</b>: the <i>config.php</i> file is not writable."
		."<br><br>Please set <font color=\"#ff0000\">chmod 666</font> (writable) to config.php file, "
		."then click on <i>next</i> button.<br><br>For example, on a Unix-like System:");
define("FILE_NOT_FOUND","Warning: file <i>config.php</i> NOT found");
define("TEXT_FILE_NOT_FOUND","Please, check the path of '<i>config.php</i>' file on your FileSystem.<br>This file could be located in the same directory where you placed the '<i>install</i>' folder.<br><br>"
		."Also, set the config.php file as writable (chmod 666), so click on <i>retry</i> button.");
define("WRITE_OK","The configuration was <b>successful!</b>");
define("RETRY_CHMOD","now return <font color=\"#ff0000\"><b>chmod 644</b></font> to config.php file.");
define("WARNING_CHMOD","remember to set chmod 644 to config.php file.");
define("CREATE_ADMIN","So, you must create the <i>Super-Administrator</i> of your Portal.");
define("CREATE_USER","Create also an User with this account?");
define("ADMIN_STOP","Some error has occurred.<br>Please enter and check all the required datas.");
define("ADMIN_CREATED","Congratulation: Super-Administrator created Successfully!<br><br>"
		."Now you must log-in with this account to set some <i>Preferences</i> in the Admin Panel, "
		."after you can use your New Portal.<br>The most important values of <i>Preferences</i> that you <font color=\"#ff0000\"><b>must change</b></font> are:");
define("MORE_CONFIGURATION","Note: you can change your configuration (also to set the Security Key) editing the config.php file.");
define("DELETE_FOLDER","After this process, <font color=\"#ff0000\"><b>Delete</b></font> the '<b>install</b>' folder from your server, so enjoy with PHPNuke.");
define("FEEDBACK","Note: feedback, suggestions, report of bug for this Installer will be appreciated");

define("TEXT_DB_SERVER","Database Server");
define("TEXT_LOCALHOST_IP","(eg. localhost, or IP)");
define("TEXT_DB_NAME","Database Name");
define("TEXT_DB_ETC","(eg. nuke)");
define("TEXT_DB_USERNAME","Username");
define("TEXT_DB_USERNAME1","User with access to the DB");
define("TEXT_DB_PASSWORD","Password");
define("TEXT_DB_PREFIX","Prefix");
define("TEXT_DB_PREFIX1","Your Database table's prefix, default: nuke (*)");
define("TEXT_DB_USERPREFIX","User Prefix");
define("TEXT_DB_USERPREFIX1","Your Users' Database table's prefix (To share it), default: nuke (**)");
define("TEXT_DB_TYPE","DataBase Type");
define("TEXT_SERVER_TYPE","Your Database Server type, default: MySQL");
define("TEXT_NUKEVERSION","PHPNuke Version");
define("TEXT_CHOSE_VERSION","Version of PHPNuke you want to install");
define("TEXT_ERROR","Error");
define("TEXT_SECURITYCODE","Security Code");
define("TEXT_SECURITYCODE1","No check");
define("TEXT_SECURITYCODE2","Administrators login only");
define("TEXT_SECURITYCODE3","Users login only");
define("TEXT_SECURITYCODE4","New users registration only");
define("TEXT_SECURITYCODE5","Users login and new users registr");
define("TEXT_SECURITYCODE6","Admins and users login only");
define("TEXT_SECURITYCODE7","Admins and new users registration");
define("TEXT_SECURITYCODE8","Everywhere on all login options");
define("TEXT_SUBSCRIPTIONTITLE","Url Subscription");
define("TEXT_ADMINFILE","Admin File");
define("TEXT_EDITOR","Advanced Editor");
define("TEXT_EDITOROFF","Editor Off");
define("TEXT_EDITORON","Editor On");
define("TEXT_NICKNAME","Nickname");
define("TEXT_REQUIRED","(required)");
define("TEXT_HOMEPAGE","Home Page");
define("TEXT_EMAIL","Email");
define("TEXT_PASSWORD","Password");
define("TEXT_ACCOUNTYES","Yes");
define("TEXT_ACCOUNTNO"," No");
define("TEXT_IMPORTANT"," Important");
define("TEXT_SITENAME","Site Name ");
define("TEXT_SITEURL","Site URL");
define("TEXT_SITESLOGAN","Site Slogan");
define("TEXT_WEBAMSTERMAIL","Administrator/Webmaster Email");
?>
