<?php

/**
*
* @package Setting														
* @version $Id: setting.php 0999 2009-12-17 15:35:19Z Aneeshtan $						
* @copyright (c) Nukelearn Group  http://www.nukelearn.com											
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/

if (!preg_match("/admin.php/", "$_SERVER[PHP_SELF]")) { show_error("Access Denied"); }

if (!defined('ADMIN_FILE')) {show_error("Access Denied");}

global $aid;
if (is_superadmin($aid)) {

	function Configure() {
		global $prefix, $db, $admin_file, $INPNuke_VN;
		
		include ('header.php');
		GraphicAdmin();

		$row = $db->sql_fetchrow($db->sql_query("SELECT sitename, nukeurl, site_logo, slogan, startdate, adminmail, anonpost, Default_Theme, foot1, foot2, foot3, commentlimit, anonymous, minpass, pollcomm, articlecomm, broadcast_msg, my_headlines, top, storyhome, user_news, oldnum, ultramode, loading, nextg, banners, backend_title, backend_language, language, locale, multilingual, useflags, notify, notify_email, notify_subject, notify_message, notify_from, moderate, admingraphic, httpref, httprefmax, CensorMode, CensorReplace, gfx_chk, use_question, codesize, cache_system, cache_lifetime, nuke_editor from ".$prefix."_config"));
		$sitename = check_words(check_html($row['sitename'], "nohtml"));
		$nukeurl = check_html($row['nukeurl'], "nohtml");
		$site_logo = check_html($row['site_logo'], "nohtml");
		$slogan = check_words(check_html($row['slogan'], "nohtml"));
		$startdate = check_words(check_html($row['startdate'], "nohtml"));
		$adminmail = check_html($row['adminmail'], "nohtml");
		$anonpost = intval($row['anonpost']);
		$Default_Theme = check_html($row['Default_Theme'], "nohtml");
		$foot1 = check_html($row['foot1'], "");
		$foot2 = check_html($row['foot2'], "");
		$foot3 = check_html($row['foot3'], "");
		$commentlimit = intval($row['commentlimit']);
		$anonymous = check_words(check_html($row['anonymous'], "nohtml"));
		$minpass = intval($row['minpass']);
		$pollcomm = intval($row['pollcomm']);
		$articlecomm = intval($row['articlecomm']);
		$broadcast_msg = intval($row['broadcast_msg']);
		$my_headlines = intval($row['my_headlines']);
		$top = intval($row['top']);
		$storyhome = intval($row['storyhome']);
		$user_news = intval($row['user_news']);
		$oldnum = intval($row['oldnum']);
		$ultramode = intval($row['ultramode']);
		$loading = intval($row['loading']);
        $nextg = intval($row['nextg']);
		$banners = intval($row['banners']);
		$backend_title = check_words(check_html($row['backend_title'], "nohtml"));
		$backend_language = check_html($row['backend_language'], "nohtml");
		$language = check_html($row['language'], "nohtml");
		$locale = check_html($row['locale'], "nohtml");
		$multilingual = intval($row['multilingual']);
		$useflags = intval($row['useflags']);
		$notify = intval($row['notify']);
		$notify_email = check_html($row['notify_email'], "nohtml");
		$notify_subject = check_words(check_html($row['notify_subject'], "nohtml"));
		$notify_message = check_words(check_html($row['notify_message'], "nohtml"));
		$notify_from = check_html($row['notify_from'], "nohtml");
		$moderate = intval($row['moderate']);
		$admingraphic = intval($row['admingraphic']);
		$httpref = intval($row['httpref']);
		$httprefmax = intval($row['httprefmax']);
		$CensorMode = intval($row['CensorMode']);
		$CensorReplace = check_html($row['CensorReplace'], "nohtml");
		$gfx_chk = (int) $row['gfx_chk'];
		$use_question = (int) $row['use_question'];
		$codesize = (int) $row['codesize'];
		$cache_system = (int) $row['cache_system'];
		$clifetime = (int) $row['cache_lifetime'];
		$nuke_editor = (int) $row['nuke_editor'];

		
   ?> <style type="text/css">
        #main { width:90%; margin: 0px auto; -moz-border-radius:10px; padding:20px;position:relative;text-align:right }
        #header { text-align:center; border-bottom:solid 1px #b2b3b5; margin: 0 0 20px 0; }
        fieldset { position:relative;;border:none; width:320px;display:block}
        legend { font-size:18px; margin:0px; padding:10px 0px; color:#b0232a; font-weight:bold;}
        label { display:block; margin:15px 0 5px;}
        input[type=text], input[type=password] { width:300px; padding:5px; border:solid 1px #000;font-family:Tahoma;}
        .prev, .next { background-color:#FFE100; padding:5px 10px; color:white; text-decoration:none;}
        .prev:hover, .next:hover { background-color:#F57D27; text-decoration:none;}
        .prev { float:right;color:white;}
        .next { float:left;color:white;}
        #steps { list-style:none; width:100%; overflow:hidden; margin:0px; padding:0px;}
        #steps li {font-size:24px; float:left; padding:10px; color:#b0b1b3;}
        #steps li span {font-size:11px; display:block;}
        #steps li.current { color:#000;}
        #makeWizard { background-color:#b0232a; 	color:#fff; padding:5px 10px; text-decoration:none; font-size:18px;}
        #makeWizard:hover { background-color:#000;}
    </style>
   <script type="text/javascript" src="includes/javascript/jquery/plugins/FormWiz/formToWizard.js"></script>
    <script type="text/javascript">
        function MakeWizard() {
            $("#SignupForm").formToWizard({ submitButton: 'SaveAccount' })
            $("#makeWizard").hide();
            $("#info").fadeIn(400);
        }
    </script>
  <?php
   OpenTable(); 
    echo '<div id="main">
        <div id="header">
            <p><a id="makeWizard" href="javascript:void(0);" onclick="MakeWizard()">'._CHECK2WIZ.'</a>
            <span id="info" style="display:none;">'._CHECK2WIZ_NOTE.'</span></p>
        </div>
        <form id="SignupForm" action="admin.php" method="post">';
 			
		//--- GENERAL SETTINGS ----------------------
       echo "<fieldset>
            <legend>"._GENERAL_OPTIONS."</legend>
            <label for=\"" . _SITENAME . "\">" . _SITENAME . "</label>
            <input type='text' name='xsitename' value='$sitename' size='40' maxlength='255' />
            <label for=\"" . _SITEURL . "\">" . _SITEURL . "</label>
            <input type='text' name='xnukeurl' value='$nukeurl' size='40' maxlength='255' />
            <label for=\"" . _SITELOGO . "\">" . _SITELOGO . "</label> <font class='tiny'>[ " . _MUSTBEINIMG . " ]</font>
            <input type='text' name='xsite_logo' value='$site_logo' size='40' maxlength='255' />
            <label for=\"" . _SITESLOGAN . "\">" . _SITESLOGAN . "</label>
            <input type='text' name='xslogan' value='$slogan' size='40' maxlength='255' />
            <label for=\"" . _STARTDATE . "\">" . _STARTDATE . "</label>
            <input type='text' name='xstartdate' value='$startdate' size='40' maxlength='255' />
            <label for=\"" . _ADMINEMAIL . "\">" . _ADMINEMAIL . "</label>
            <input type='text' name='xadminmail' value='$adminmail' size='40' maxlength='255' />";
            
            
        echo "<label for=\"" . _DEFAULTTHEME . "\">" . _DEFAULTTHEME . "</label>
		<select name='xDefault_Theme'>";
		$handle=opendir('themes');
		while ($file = readdir($handle)) {
		if ( (!ereg("[.]",$file)) ) {
		$themelist .= "$file ";
		}
		}
		closedir($handle);
		$themelist = explode(" ", $themelist);
		sort($themelist);
		for ($i=0; $i < sizeof($themelist); $i++) {
		if(!empty($themelist[$i])) {
		echo "<option name='xDefault_Theme' value='$themelist[$i]' ";
		if($themelist[$i]==$Default_Theme) echo "selected";
		echo ">$themelist[$i]\n";
		}
		}
		echo "</select>";
        // gfx_chk integration into nuke administration panel
        // ALTER TABLE `nuke_config` ADD `gfx_chk` TINYINT( 1 ) NOT NULL DEFAULT '4'
        // ALTER TABLE `nuke_config` ADD `use_question` INT( 1 ) NOT NULL DEFAULT '0'
        // ALTER TABLE `nuke_config` ADD `codesize` INT( 1 ) NOT NULL DEFAULT '4'
        		switch($gfx_chk){
			case 0:
			$ch0 = 'SELECTED';
			break;
			case 1:
			$ch1 = 'SELECTED';
			break;
			case 2:
			$ch2 = 'SELECTED';
			break;
			case 3:
			$ch3 = 'SELECTED';
			break;
			case 4:
			$ch4 = 'SELECTED';
			break;
			case 5:
			$ch5 = 'SELECTED';
			break;
			case 6:
			$ch6 = 'SELECTED';
			break;
			case 7:
			$ch7 = 'SELECTED';
			break;
		}
        echo '<label for="',_GFX_CHK,'">',_GFX_CHK,'</label>
        <select name="xgfx">
        <option value="0" ',$ch0,'>',_OFF,'</option>
        <option value="1" ',$ch1,'>',_ADM_LOGIN,'</option>
        <option value="2" ',$ch2,'>',_USR_LOGIN,'</option>
        <option value="3" ',$ch3,'>',_USR_REG,'</option>
        <option value="4" ',$ch4,'>',_USR_LOG_REG,'</option>
        <option value="5" ',$ch5,'>',_ADM_USR_LOG,'</option>
        <option value="6" ',$ch6,'>',_ADM_USR_REG,'</option>
        <option value="7" ',$ch7,'>',_EVERYWHERE,'</option>
        </select>';
        echo '<label for="',_CODESIZE,'">',_CODESIZE,'</label>
			<input type="text" name="xcodesize" value="',$codesize,'" />';
            if($use_question){$yes = 'checked="checked"';}else{$no='checked="checked"';$rstyle='style="display:none"';}
    	echo '<label for="',_USE_Q_C,'">',_USE_Q_C,'</label>';
    	echo '<input id="qy" name="question" type="radio" value="1" onclick=\'$("#sqs").slideDown(300)\' ',$yes,' />',_YES,' <input id="qn" name="question" type="radio" value="0" onclick=\'$("#sqs").slideUp(300)\' ',$no,' />',_NO,'<br />';
    	echo '<div id="sqs" ',$rstyle,'>',_SQS,'<br />';
    	$result = $db->sql_query('SELECT `qid`,`question`,`answer` FROM `'.$prefix.'_squestions` ORDER BY `qid` ASC');
    	if(!$result) echo mysql_error();
    	$i = 1;
    	while($row = $db->sql_fetchrow($result)){
    		echo $i,'. <input type="text" name="questions[',$row['qid'],']" value="',$row['question'],'" size="25" /> <input type="text" name="answers[',$row['qid'],']" value="',$row['answer'],'" size="10" /><br />';
    		$i++;
    		}
    		echo $i,'. <input type="text" name="nquestion" value="" size="25" /> <input type="text" name="nanswer" value="" size="10" /><br />';
    		echo '</div>';
        echo '</fieldset>';

		//--- STORY SETTINGS ----------------------
     
       echo "<fieldset>
        <legend>"._STORY_OPTIONS."</legend>

        <label for=\"" . _ITEMSTOP . "\">" . _ITEMSTOP . "</label>
		<select name='xtop'>"
		."<option name='xtop'>$top</option>"
		."<option name='xtop'>5</option>"
		."<option name='xtop'>10</option>"
		."<option name='xtop'>15</option>"
		."<option name='xtop'>20</option>"
		."<option name='xtop'>25</option>"
		."<option name='xtop'>30</option>"
		."</select>

		<label for=\"" . _STORIESHOME . "\">" . _STORIESHOME . "</label>
         <select name='xstoryhome'>"
		."<option name='xstoryhome'>$storyhome</option>"
		."<option name='xstoryhome'>5</option>"
		."<option name='xstoryhome'>10</option>"
		."<option name='xstoryhome'>15</option>"
		."<option name='xstoryhome'>20</option>"
		."<option name='xstoryhome'>25</option>"
		."<option name='xstoryhome'>30</option>"
		."</select>
		
        <label for=\"" . _OLDSTORIES . "\">" . _OLDSTORIES . "</label>
		 <select name='xoldnum'>"
		."<option name='xoldnum'>$oldnum</option>"
		."<option name='xoldnum'>10</option>"
		."<option name='xoldnum'>20</option>"
		."<option name='xoldnum'>30</option>"
		."<option name='xoldnum'>40</option>"
		."<option name='xoldnum'>50</option>"
		."</select>
		
        <label for=\"" . _ACTULTRAMODE . "\">" . _ACTULTRAMODE . "</label>";
		if ($ultramode==1) {
		echo "<input type='radio' name='xultramode' value='1' checked>" . _YES . " &nbsp;
		<input type='radio' name='xultramode' value='0'>" . _NO . "";
		} else {
		echo "<input type='radio' name='xultramode' value='1'>" . _YES . " &nbsp;
		<input type='radio' name='xultramode' value='0' checked>" . _NO . "";
		}
            
            
        echo "<label for=\"" . _ALLOWANONPOST . "\">" . _ALLOWANONPOST . "</label>";
		if ($anonpost==1) {
		echo "<input type='radio' name='xanonpost' value='1' checked>" . _YES . " &nbsp;
		<input type='radio' name='xanonpost' value='0'>" . _NO . "";
		} else {
		echo "<input type='radio' name='xanonpost' value='1'>" . _YES . " &nbsp;
		<input type='radio' name='xanonpost' value='0' checked>" . _NO . "";
		}
		
         echo "<label for=\"" . _ANONYMOUSNAME . "\">" . _ANONYMOUSNAME . "</label>
            <input type='text' name='xanonymous' value='$anonymous'/>
            <label for=\"" . _COMMENTSLIMIT . "\">" . _COMMENTSLIMIT . "</label>
            <input type='text' name='xcommentlimit' value='$commentlimit' size='11' maxlength='10' />";
   
          
           echo "<label for=\"" . _COMMENTSARTICLES . "\">" . _COMMENTSARTICLES . "</label>";
		if ($articlecomm==1) {
			echo "<input type='radio' name='xarticlecomm' value='1' checked>" . _YES . " &nbsp;
	<input type='radio' name='xarticlecomm' value='0'>" . _NO . "";
		} else {
			echo "<input type='radio' name='xarticlecomm' value='1'>" . _YES . " &nbsp;
	<input type='radio' name='xarticlecomm' value='0' checked>" . _NO . "";
		}

          
           echo " <label for=\"" . _BROADCASTMSG . "\">" . _BROADCASTMSG . "</label>";
		if ($broadcast_msg == 1) {
			echo "<input type='radio' name='xbroadcast_msg' value='1' checked>" . _YES . " &nbsp;
	<input type='radio' name='xbroadcast_msg' value='0'>" . _NO . "";
		} else {
			echo "<input type='radio' name='xbroadcast_msg' value='1'>" . _YES . " &nbsp;
	<input type='radio' name='xbroadcast_msg' value='0' checked>" . _NO . "";
		}

            
            echo " <label for=\"" . _MYHEADLINES . "\">" . _MYHEADLINES . "</label>";
		if ($my_headlines == 1) {
			echo "<input type='radio' name='xmy_headlines' value='1' checked>" . _YES . " &nbsp;
	<input type='radio' name='xmy_headlines' value='0'>" . _NO . "";
		} else {
			echo "<input type='radio' name='xmy_headlines' value='1'>" . _YES . " &nbsp;
	<input type='radio' name='xmy_headlines' value='0' checked>" . _NO . "";
		}

            
           echo " <label for=\"" . _USERSHOMENUM . "\">" . _USERSHOMENUM . "</label>";
		if ($user_news == 1) {
			echo "<input type='radio' name='xuser_news' value='1' checked>" . _YES . " &nbsp;
	<input type='radio' name='xuser_news' value='0'>" . _NO . "";
		} else {
			echo "<input type='radio' name='xuser_news' value='1'>" . _YES . " &nbsp;
	<input type='radio' name='xuser_news' value='0' checked>" . _NO . "";
		}
		echo '<label for="',_NUKEEDITOR,'">',_NUKEEDITOR,'</label>';
		if ($nuke_editor == 1) {
			echo "<input type='radio' name='xnuke_editor' value='1' checked>" . _YES . " &nbsp;
	<input type='radio' name='xnuke_editor' value='0'>" . _NO . "";
		} else {
			echo "<input type='radio' name='xnuke_editor' value='1'>" . _YES . " &nbsp;
	<input type='radio' name='xnuke_editor' value='0' checked>" . _NO . "";
		}
		echo "</fieldset>";

		//--- OPTIMIZATION SETTINGS ----------------------

		echo "<fieldset>
        <legend>"._OPTIMIZATION_OPTIONS."</legend>
        <label for=\"" . _SELLANGUAGE . "\">" . _SELLANGUAGE . "</label>
		<select name='xlanguage'>";
		$handle=opendir('language');
		$languageslist = "";
		while ($file = readdir($handle)) {
		if (ereg("^lang\-(.+)\.php", $file, $matches)) {
		$langFound = $matches[1];
		$languageslist .= "$langFound ";
		}
		}
		closedir($handle);
		$languageslist = explode(" ", $languageslist);
		sort($languageslist);
		for ($i=0; $i < sizeof($languageslist); $i++) {
		if(!empty($languageslist[$i])) {
		echo "<option name='xlanguage' value='$languageslist[$i]' ";
		if($languageslist[$i]==$language) echo "selected";
		echo ">".ucfirst($languageslist[$i])."\n";
		}
		}
		echo "</select>
		
        <label for=\"" . _LOCALEFORMAT . "\">" . _LOCALEFORMAT . "</label>
        <input type='text' name='xlocale' value='$locale' size='20' maxlength='40' />";
            

        echo " <label for=\"" . _ACTMULTILINGUAL . "\">" . _ACTMULTILINGUAL . "</label>";
		if ($multilingual==1) {
		echo "<input type='radio' name='xmultilingual' value='1' checked>" . _YES . " &nbsp;"
		."<input type='radio' name='xmultilingual' value='0'>" . _NO . "";
		} else {
		echo "<input type='radio' name='xmultilingual' value='1'>" . _YES . " &nbsp;"
		."<input type='radio' name='xmultilingual' value='0' checked>" . _NO . "";
		}
            
        echo " <label for=\"" . _ACTUSEFLAGS . "\">" . _ACTUSEFLAGS . "</label>";
		if ($useflags==1) {
		echo "<input type='radio' name='xuseflags' value='1' checked>" . _YES . " &nbsp;"
		."<input type='radio' name='xuseflags' value='0'>" . _NO . "";
		} else {
		echo "<input type='radio' name='xuseflags' value='1'>" . _YES . " &nbsp;"
		."<input type='radio' name='xuseflags' value='0' checked>" . _NO . "";
		}
		
        echo "<label for=\"" . _SITELOADING . "\">" . _SITELOADING . "</label>";
        if ($loading==1) {
	    echo "<input type='radio' name='xloading' value='1' checked>" . _YES . " &nbsp;"
	    ."<input type='radio' name='xloading' value='0'>" . _NO . "";
        } else {
	    
        echo "<input type='radio' name='xloading' value='1'>" . _YES . " &nbsp;"
	    ."<input type='radio' name='xloading' value='0' checked>" . _NO . "";
        }
        
        echo "<label for=\"" . _GOOGLETAP . "\">" . _GOOGLETAP . "</label>";
        if ($nextg==1) {
	    echo "<input type='radio' name='xnextg' value='1' checked>" . _YES . " &nbsp;"
	    ."<input type='radio' name='xnextg' value='0'>" . _NO . "";
        } else {
	    echo "<input type='radio' name='xnextg' value='1'>" . _YES . " &nbsp;"
	    ."<input type='radio' name='xnextg' value='0' checked>" . _NO . "";
        }
        echo '<label for="',_CACHESYS,'">',_CACHESYS,'</label>';
        if ($cache_system == 1) {
	    echo "<input type='radio' name='xcachesys' value='1' checked>" . _YES . " &nbsp;"
	    ."<input type='radio' name='xcachesys' value='0'>" . _NO . "";
        } else {
	    echo "<input type='radio' name='xcachesys' value='1'>" . _YES . " &nbsp;"
	    ."<input type='radio' name='xcachesys' value='0' checked>" . _NO . "";
        }
		echo '<label for="',_CLIFETIME,'">',_CLIFETIME,'</label>';
			echo '<input type="text" name="xlifetime" value="',$clifetime,'" />';
		
        echo " </fieldset>";

		//--- NOTIFICATION SETTINGS ----------------------
         echo "<fieldset>
            <legend>"._NOTIFICATIONS."</legend>

            <label for=\"" . _BACKENDTITLE . "\">" . _BACKENDTITLE . "</label>
            <input type='text' name='xbackend_title' value='$backend_title' size='40' maxlength='100' />
            <label for=\"" . _BACKENDLANG . "\">" . _BACKENDLANG . "</label>
            <input type='text' name='xbackend_language' value='$backend_language' size='10' maxlength='10' />

            
            <label for=\"" . _NOTIFYSUBMISSION . "\">" . _NOTIFYSUBMISSION . "</label>";
		if ($notify==1) {
			echo "<input type='radio' name='xnotify' value='1' checked>" . _YES . " &nbsp;
	<input type='radio' name='xnotify' value='0'>" . _NO . "";
		} else {
			echo "<input type='radio' name='xnotify' value='1'>" . _YES . " &nbsp;
	<input type='radio' name='xnotify' value='0' checked>" . _NO . "";
		}
            
            echo "<label for=\"" . _EMAIL2SENDMSG . "\">" . _EMAIL2SENDMSG . "</label>
            <input type='text' name='xnotify_email' value='$notify_email' size='30' maxlength='100' />
            <label for=\"" . _EMAILSUBJECT . "\">" . _EMAILSUBJECT . "</label>
            <input type='text' name='xnotify_subject' value='$notify_subject' size='40' maxlength='100' />
            <label for=\"" . _EMAILMSG . "\">" . _EMAILMSG . "</label>
            <textarea name='xnotify_message' cols='50' rows='5'>$notify_message</textarea>
            <label for=\"" . _EMAILFROM . "\">" . _EMAILFROM . "</label>
            <input type='text' name='xnotify_from' value='$notify_from' size='15' maxlength='25' />
            
     
        </fieldset>";

		//--- ADMINISTRATION SETTINGS ----------------------
       echo "<fieldset>
            <legend>"._ADMINISTRATION_OPTIONS."</legend>
       
            <label for=\"" . _MODTYPE . "\">" . _MODTYPE . "</label>
<select name='xmoderate'>";
		if ($moderate==1) {
			$sel1 = "selected";
			$sel2 = "";
			$sel3 = "";
		} elseif ($moderate==2) {
			$sel1 = "";
			$sel2 = "selected";
			$sel3 = "";
		} elseif ($moderate==0) {
			$sel1 = "";
			$sel2 = "";
			$sel3 = "selected";
		}
		echo "<option name='xmoderate' value='1' $sel1>" . _MODADMIN . "</option>"
		."<option name='xmoderate' value='2' $sel2>" . _MODUSERS . "</option>"
		."<option name='xmoderate' value='0' $sel3>" . _NOMOD . "</option>"
		."</select>";
            
          
         echo "   <label for=\"" . _ADMINGRAPHIC . "\">" . _ADMINGRAPHIC . "</label>";
		if ($admingraphic==1) {
			echo "<input type='radio' name='xadmingraphic' value='1' checked>" . _YES . " &nbsp;
	<input type='radio' name='xadmingraphic' value='0'>" . _NO . "";
		} else {
			echo "<input type='radio' name='xadmingraphic' value='1'>" . _YES . " &nbsp;
	<input type='radio' name='xadmingraphic' value='0' checked>" . _NO . "";
		}
		
            
           echo "<label for=\"" . _ACTIVATEHTTPREF . "\">" . _ACTIVATEHTTPREF . "</label>";
		if ($httpref==1) {
			echo "<input type='radio' name=xhttpref value='1' checked>" . _YES . " &nbsp;
	<input type='radio' name=xhttpref value='0'>" . _NO . "";
		} else {
			echo "<input type='radio' name='xhttpref' value='1'>" . _YES . " &nbsp;
	<input type='radio' name='xhttpref' value='0' checked>" . _NO . "";
		}

            
           echo "  <label for=\"" . _MAXREF . "\">" . _MAXREF . "</label>
<select name='xhttprefmax'>"
		."<option name='xhttprefmax' value='$httprefmax'>$httprefmax</option>"
		."<option name='xhttprefmax' value='100'>100</option>"
		."<option name='xhttprefmax' value='250'>250</option>"
		."<option name='xhttprefmax' value='500'>500</option>"
		."<option name='xhttprefmax' value='1000'>1000</option>"
		."<option name='xhttprefmax' value='2000'>2000</option>"
		."</select>";
          

          echo " <label for=\"" . _PASSWDLEN . "\">" . _PASSWDLEN . "</label>
<select name='xminpass'>"
		."<option name='xminpass' value='$minpass'>$minpass</option>"
		."<option name='xminpass' value='3'>3</option>"
		."<option name='xminpass' value='5'>5</option>"
		."<option name='xminpass' value='8'>8</option>"
		."<option name='xminpass' value='10'>10</option>"
		."</select>";
          


  		if ($CensorMode == 0) {
			$sel0 = "selected";
			$sel1 = "";
			$sel2 = "";
			$sel3 = "";
		} elseif ($CensorMode == 1) {
			$sel0 = "";
			$sel1 = "selected";
			$sel2 = "";
			$sel3 = "";
		} elseif ($CensorMode == 2) {
			$sel0 = "";
			$sel1 = "";
			$sel2 = "selected";
			$sel3 = "";
		} elseif ($CensorMode == 3) {
			$sel0 = "";
			$sel1 = "";
			$sel2 = "";
			$sel3 = "selected";
		}

		echo "<label for=\"" . _CENSORMODE . "\">" . _CENSORMODE . "</label>
        <select name='xCensorMode'>"
		."<option name='xCensorMode' value='0' $sel0>" . _NOFILTERING . "</option>"
		."<option name='xCensorMode' value='1' $sel1>" . _EXACTMATCH . "</option>"
		."<option name='xCensorMode' value='2' $sel2>" . _MATCHBEG . "</option>"
		."<option name='xCensorMode' value='3' $sel3>" . _MATCHANY . "</option>"
		."</select>

		<label for=\"" . _CENSORREPLACE . "\">" . _CENSORREPLACE . "</label>
            <input type='text' name='xCensorReplace' value='$CensorReplace' size='10' maxlength='10' />";

        echo " </fieldset>";
        
		//--- GENERAL SETTINGS ----------------------
       echo "<fieldset>
            <legend>" . _FOOTERMSG . "</legend>
            <label for=\"" . _FOOTERLINE1 . "\">" . _FOOTERLINE1 . "</label>";
       		//<textarea name='xfoot1' cols='70' rows='15'>" . stripslashes($foot1) . "</textarea>"
			wysiwyg_textarea('xfoot1', $foot1, 'PHPNuke', '80', '2');
			
          echo "<label for=\"" . _FOOTERLINE2 . "\">" . _FOOTERLINE2 . "</label>";
		//<textarea name='xfoot2' cols='70' rows='15'>" . stripslashes($foot2) . "</textarea>"
		wysiwyg_textarea('xfoot2', $foot2, 'PHPNuke', '50', '5');
		
      			
          echo "<label for=\"" . _FOOTERLINE3 . "\">" . _FOOTERLINE3 . "</label>";
		//<textarea name='xfoot3' cols='70' rows='15'>" . stripslashes($foot3) . "</textarea>"
		wysiwyg_textarea('xfoot3', $foot3, 'PHPNuke', '80', '2');

        echo " </fieldset>";

		echo "<input type='hidden' name='op' value='ConfigSave'>";
		
    
       echo '<p>
        <input id="SaveAccount" type="submit" value="' . _SAVECHANGES . '" />
        </p>
         </form>
    </div>';

	CloseTable();	

	include("footer.php");
	}

	switch($op) {

		case "Configure":
		Configure();
		break;

		case "ConfigSave":
		global $prefix, $db, $admin_file;
		
		$xsitename = addslashes(check_words(check_html($xsitename, "nohtml")));
		$xnukeurl = addslashes(check_words(check_html($xnukeurl, "nohtml")));
		$xsite_logo = addslashes(check_words(check_html($xsite_logo, "nohtml")));
		$xslogan = addslashes(check_words(check_html($xslogan, "nohtml")));
		$xstartdate = addslashes(check_words(check_html($xstartdate, "nohtml")));
		$xadminmail = addslashes(check_words(check_html($xadminmail, "nohtml")));
		$xanonpost = intval($xanonpost);
		$xDefault_Theme = addslashes(check_words(check_html($xDefault_Theme, "nohtml")));
		$xfoot1 = addslashes(check_words(check_html($xfoot1, "")));
	    $xfoot2 = addslashes(check_words(check_html($xfoot2, "")));
	    $xfoot3 = addslashes(check_words(check_html($xfoot3, "")));
		$xcommentlimit = intval($xcommentlimit);
		$xanonymous = addslashes(check_words(check_html($xanonymous, "nohtml")));
		$xminpass = intval($xminpass);
		$xpollcomm = intval($xpollcomm);
		$xarticlecomm = intval($xarticlecomm);
		$xbroadcast_msg = intval($xbroadcast_msg);
		$xmy_headlines = intval($xmy_headlines);
		$xtop = intval($xtop);
		$xstoryhome = intval($xstoryhome);
		$xuser_news = intval($xuser_news);
		$xoldnum = intval($xoldnum);
		$xultramode = intval($xultramode);
		$xbanners = intval($xbanners);
		$xbackend_title = addslashes(check_words(check_html($xbackend_title, "nohtml")));
		$xbackend_language = addslashes(check_words(check_html($xbackend_language, "nohtml")));
		$xlanguage = addslashes(check_words(check_html($xlanguage, "nohtml")));
		$xlocale = addslashes(check_words(check_html($xlocale, "nohtml")));
		$xmultilingual = intval($xmultilingual);
		$xuseflags = intval($xuseflags);
		$xnotify = intval($xnotify);
		$xnotify_email = addslashes(check_words(check_html($xnotify_email, "nohtml")));
		$xnotify_subject = addslashes(check_words(check_html($xnotify_subject, "nohtml")));
		$xnotify_message = addslashes(check_words(check_html($xnotify_message, "nohtml")));
		$xnotify_from = addslashes(check_words(check_html($xnotify_from, "nohtml")));
		$xmoderate = intval($xmoderate);
		$xadmingraphic = intval($xadmingraphic);
		$xhttpref = intval($xhttpref);
		$xhttprefmax = intval($xhttprefmax);
		$xCensorMode = intval($xCensorMode);
		$xCensorReplace = addslashes(check_words(check_html($xCensorReplace, "nohtml")));
		$xgfx = (int) $xgfx;
		$xcodesize = (int) $xcodesize;
		$xcachesys = (int) $xcachesys;
		$xlifetime = (int) $xlifetime;
		$xnuke_editor = (int) $xnuke_editor;
		$db->sql_query("UPDATE ".$prefix."_config SET sitename='$xsitename', nukeurl='$xnukeurl', site_logo='$xsite_logo', slogan='$xslogan', startdate='$xstartdate', adminmail='$xadminmail', anonpost='$xanonpost', Default_Theme='$xDefault_Theme', foot1='$xfoot1', foot2='$xfoot2', foot3='$xfoot3', commentlimit='$xcommentlimit', anonymous='$xanonymous', minpass='$xminpass', pollcomm='$xpollcomm', articlecomm='$xarticlecomm', broadcast_msg='$xbroadcast_msg', my_headlines='$xmy_headlines', top='$xtop', storyhome='$xstoryhome', user_news='$xuser_news', oldnum='$xoldnum', ultramode='$xultramode', loading='$xloading', nextg='$xnextg', banners='$xbanners', backend_title='$xbackend_title', backend_language='$xbackend_language', language='$xlanguage', locale='$xlocale', multilingual='$xmultilingual', useflags='$xuseflags', notify='$xnotify', notify_email='$xnotify_email', notify_subject='$xnotify_subject', notify_message='$xnotify_message', notify_from='$xnotify_from', moderate='$xmoderate', admingraphic='$xadmingraphic', httpref='$xhttpref', httprefmax='$xhttprefmax', CensorMode='$xCensorMode', CensorReplace='$xCensorReplace', gfx_chk ='$xgfx', use_question='$question', codesize='$xcodesize', cache_system='$xcachesys', cache_lifetime='$xlifetime', nuke_editor='$xnuke_editor'");
		if($question){
    	//global $db,$prefix;
    	$qs = $questions;
    	$as = $answers;
    	foreach($qs as $qid => $qv){
    		if($qv == ''){
    			$db->sql_query('DELETE FROM `'.$prefix.'_squestions` WHERE `qid` = "'.$qid.'" LIMIT 1');
    			}else{
    			$db->sql_query('UPDATE `'.$prefix.'_squestions` SET `question` = "'.$qv.'", `answer`="'.$as[$qid].'" WHERE `qid` = "'.$qid.'" LIMIT 1');
    				}
    		}
    	}
    	if($nquestion != ''){
    		$db->sql_query('INSERT INTO `'.$prefix.'_squestions` (`question`,`answer`) VALUES ("'.$nquestion.'","'.$nanswer.'")');
    		}
		Header("Location: ".$admin_file.".php");
		break;

	}

} else {
	echo "Access Denied";
}

?>
