<?php

/**
 *
 * @package RATING														
 * @version  inc_ratings.php $Id: beta6 $ 2:12 AM 12/25/2009						
 * @copyright (c)Nukelearn Group  http://www.nukelearn.com											
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */
if (stristr ( htmlentities ( $_SERVER ['PHP_SELF'] ), "inc_ratings.php" )) {
	show_error ( HACKING_ATTEMPT );
}

define('NEWS_SEC',1);
define('DOWNLOAD_SEC',2);
define('USERS_SEC',3);

if (defined('RATING_INC')) {
addCSSToHead(MODS_PATH."rating/rating_style.css","file");
addJSToHead(MODS_PATH."rating/rating_update.js","file");
}


function getRating($id,$section){
global $db;
	$total = 0;
	$rows = 0;
	
	$sel = $db->sql_query("SELECT rating_num FROM nuke_ratings WHERE rating_id = '$id' AND section = '$section'");
	if($db->sql_numrows($sel) > 0){
	
		while($data = mysql_fetch_assoc($sel)){
		
			$total = $total + $data['rating_num'];
			$rows++;
		}
		
		$perc = ($total/$rows) * 20;
		
		//$newPerc = round($perc/5)*5;
		//return $newPerc.'%';
		
		$newPerc = round($perc,2);
		return $newPerc.'%';
	
	} else {
	
		return '0%';
	
	}
}

function outOfFive($id,$section){
global $db;
	$total = 0;
	$rows = 0;
	
	$sel = $db->sql_query("SELECT rating_num FROM nuke_ratings WHERE rating_id = '$id' AND section = '$section'");
	if($db->sql_numrows($sel) > 0){
	
		while($data = mysql_fetch_assoc($sel)){
		
			$total = $total + $data['rating_num'];
			$rows++;
		}
		
		$perc = ($total/$rows);
		
		return round($perc,2);
		//return round(($perc*2), 0)/2; // 3.5
	
	} else {
	
		return '0';
	
	}
	
	
}

function getVotes($id,$section){
global $db;
	$sel = $db->sql_query("SELECT rating_num FROM nuke_ratings WHERE rating_id = '$id' AND section = '$section'");
	$rows = $db->sql_numrows($sel);
	if($rows == 0){
		$votes = '0 Votes';
	}
	else if($rows == 1){
		$votes = '1 Vote';
	} else {
		$votes = $rows.' Votes';
	}
	return $votes;
	
}

function pullRating($id, $section, $show5 = false, $showPerc = false, $showVotes = false, $static = NULL){
	global $userinfo,$db;
	// Check if they have already voted...
	$text = '';
	
	$sel = $db->sql_query("SELECT id FROM nuke_ratings WHERE rating_id = '$id' AND section = '$section' AND (ip = '".$_SERVER['REMOTE_ADDR']."' OR voter = '".$userinfo['username']."')");
	if($db->sql_numrows($sel) > 0 || $static == 'novote' || isset($_COOKIE['has_voted_'.$id])){
	
		
		
		if($show5 || $showPerc || $showVotes){

			$text .= '<div class="rated_text">';
			
		}
			
			if($show5){
				$text .= 'درجه <span id="outOfFive_'.$id.'" class="out5Class">'.outOfFive($id,$section).'</span>/5';
			} 
			if($showPerc){
				$text .= ' (<span id="percentage_'.$id.'" class="percentClass">'.getRating($id,$section).'</span>)';
			}
			if($showVotes){
				$text .= ' (<span id="showvotes_'.$id.'" class="votesClass">'.getVotes($id,$section).'</span>)';
			}
			
		if($show5 || $showPerc || $showVotes){	
			
			$text .= '</div>';
		
		}
		
		
		return $text.'
			<ul class="star-rating2" id="rater_'.$id.'">
				<li class="current-rating" style="width:'.getRating($id,$section).';" id="ul_'.$id.'"></li>
				<li><a onclick="return false;" href="#star" title="امتیاز 1 از 5" class="one-star" >1</a></li><div id="loading_'.$id.'"></div>
				<li><a onclick="return false;" href="#star" title="امتیاز2 از 5" class="two-stars">2</a></li>
				<li><a onclick="return false;" href="#star" title="امتیاز3 از 5" class="three-stars">3</a></li>
				<li><a onclick="return false;" href="#star" title="امتیاز4از 5" class="four-stars">4</a></li>
				<li><a onclick="return false;" href="#star" title="امتیاز 5از 5" class="five-stars">5</a></li>
			</ul>';

		
	} else {
		
		if($show5 || $showPerc || $showVotes){
			
			$text .= '<div class="rated_text">';
			
		}
			if($show5){
				$show5bool = 'true';
				$text .= 'درجه <span id="outOfFive_'.$id.'" class="out5Class">'.outOfFive($id,$section).'</span>/5';
			} else {
				$show5bool = 'false';
			}
			if($showPerc){
				$showPercbool = 'true';
				$text .= ' (<span id="percentage_'.$id.'" class="percentClass">'.getRating($id,$section).'</span>)';
			} else {
				$showPercbool = 'false';
			}
			if($showVotes){
				$showVotesbool = 'true';
				$text .= ' (<span id="showvotes_'.$id.'" class="votesClass">'.getVotes($id,$section).'</span>)';
			} else {
				$showVotesbool = 'false';	
			}
			
		if($show5 || $showPerc || $showVotes){	
		
			$text .= '</div>';
			
		}
		
		return $text.'
			<ul class="star-rating" id="rater_'.$id.'">
				<li class="current-rating" style="width:'.getRating($id,$section).';" id="ul_'.$id.'"></li>
				<li><a onclick="rate(\'1\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$section.'\'); return false;" href="modules.php?app=mod&name=rating&id='.$id.'&rating=1&section='.$section.'" title="امتیاز 1 از 5" class="one-star" >1</a></li><div id="loading_'.$id.'"></div>
				<li><a onclick="rate(\'2\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$section.'\'); return false;" href="modules.php?app=mod&name=rating&id='.$id.'&rating=2&section='.$section.'" title="امتیاز2 از 5" class="two-stars">2</a></li>
				<li><a onclick="rate(\'3\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$section.'\'); return false;" href="modules.php?app=mod&name=rating&id='.$id.'&rating=3&section='.$section.'" title="امتیاز3 از 5" class="three-stars">3</a></li>
				<li><a onclick="rate(\'4\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$section.'\'); return false;" href="modules.php?app=mod&name=rating&id='.$id.'&rating=4&section='.$section.'" title="امتیاز4 از 5" class="four-stars">4</a></li>
				<li><a onclick="rate(\'5\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$section.'\'); return false;" href="modules.php?app=mod&name=rating&id='.$id.'&rating=5&section='.$section.'" title="امتیاز 5از 5" class="five-stars">5</a></li>
			</ul>';
	
	}
}

// Added in version 1.5
// Fixed sort in version 1.7
function getTopRated($limit, $table, $idfield, $namefield){
global $db;	
	$result = '';
	
	$sql = "SELECT COUNT(ratings.id) as rates,ratings.rating_id,".$table.".".$namefield." as thenamefield,ROUND(AVG(ratings.rating_num),2) as rating 
			FROM rating_id,".$table." WHERE ".$table.".".$idfield." = ratings.rating_id GROUP BY rating_id 
			ORDER BY rates DESC,rating DESC LIMIT ".$limit."";
			
	$sel = $db->sql_query($sql);
	
	$result .= '<ul class="topRatedList">'."\n";
	
	while($data = @mysql_fetch_assoc($sel)){
		$result .= '<li>'.$data['thenamefield'].' ('.$data['rating'].')</li>'."\n";
	}
	
	$result .= '</ul>'."\n";
	
	return $result;
	
}
?>
