<?php
/**
*
* @package INSTALLATION														
* @version $Id: install.php 0999 2009-12-13 Aneeshtan $						
* @copyright (c) Nukelearn Group  http://www.nukelearn.com											
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

define('INSTALLATION_FILE', true);
error_reporting (E_ERROR);

//require_once 'mainfile.php';

//===========================================
//Defined Constants
//===========================================

define('PHOENIX_BASE_DIR', dirname(__FILE__) . '/');
// Absolute Phoenix Directory And Includes
define('PHOENIX_INCLUDE_DIR', PHOENIX_BASE_DIR.'includes/');

define("IN_USV",true);
define('BASE_PATH', dirname(__FILE__) . '/');
define('INCLUDES_PATH', 'includes/');
define('INSTALL_PATH', BASE_PATH.'INSTALLATION/');
define('INSTALL_LANGUAGE_PATH', INSTALL_PATH.'languages/');
define('DEF_LANGUAGE', 'persian');
define('INSTALL_UPLOAD', BASE_PATH.'update/');
define('INSTALL_FILE', 'install');
define('SPONSER_URL', 'nukelearn.com');
define('MAINTENANCE_MODE', 'install');
define("USV_FILENAME",'usv.sql');
define('USV_VERSION', 'USV 1.0.0.0');
define('INCLUDES_ACP',	INCLUDES_PATH. 'acp/');
$function_call = "install_".$_POST['step'] ;
 
@require(INSTALL_PATH."functions.php");

  
USV_INSTALL_LANGUAGE();
USV_INSTALL_HEADER();
  
  
//===========================================
//isset Functions
//===========================================
if (isset($_POST['step']) && ($_POST['step'] == 1 || $_POST['step'] == 2 || $_POST['step'] == 3 || $_POST['step'] == 4 || $_POST['step'] == 5 || $_POST['step'] == 6 || $_POST['step'] == 7 || $_POST['step'] == 8|| $_POST['step'] == 9)){
	$function_call();
} elseif (isset($_POST['update'])) {
	update_to_usv();
}else {
	install_main();
}

//===========================================
//INSTALLATION STEPS
//===========================================
function install_main() {
  
	$content = "<div style='text-align:right;padding:10px;line-height:20px;'>".INSTALLATION_NOTE  ;
	$content .='
	<center><img src="images/powered/NukelearnUSV.png"></center>
	<form name="install" action="'.INSTALL_FILE.'.php" method="post">
	<input type="hidden" name="step" value="1">
	<input type="submit"  value='.START_INST.' style="background:#D2E20D;color:#1E3F9E;padding-right:25px;padding-left:25px;font-size:14px;" >
	</form>
	<form name="update" action="'.INSTALL_FILE.'.php" method="post" style="background:none;" >
	</div>';
	/*<input type="hidden" name="update" value="1">
	<input type="submit"  value='.UPDATE.'  style="background:#BAC3CC;color:#1E3F9E;padding-right:25px;padding-left:25px;font-size:14px;"  >
	</form>*/
  echo $content;
  USV_INSTALL_FOOTER();
}

function install_1() {
echo READ_LICENSE ; ?>
<div style="text-align:center;padding:20px;">
<form name="form" action="<?PHP echo INSTALL_FILE ?>.php" method="post"><textarea name="gpl" rows="12" cols="72" readonly>
<?php @include(INSTALL_LANGUAGE_PATH."".DEF_LANGUAGE."-gpl.txt");?>
</textarea> <br>
<input type="checkbox" name="choice" checked>&nbsp;<?php  echo ACCEPT ; ?>
 <a href="<?PHP echo INSTALL_FILE ?>.php">
 <br><br>
 <input	type="button" border="0" value=" <?php echo CANCEL;?> "></a>
<input type="submit"
		border="0" value=" <?php echo NEXT ;?> ">
	<input type="hidden" name="step" value="2">
</form></div>
<?php
USV_INSTALL_FOOTER();
}

function install_2() {

if ($_POST['choice'] != "on"){
echo "<br>" . LICENSE_STOP;  ?>
<div style="text-align:center;padding:20px;">
				<form name="form" action="<?PHP echo INSTALL_FILE ?>.php"
					method="post"><input type="hidden" name="step" value="1">
				<a href="<?PHP echo INSTALL_FILE ?>.php"><input
					type="button" border="0" value=" <?php echo CANCEL;?> "></a> <input type="submit"
					border="0" value=" <?php echo NEXT ;?> ">
				</form>
<?php	
} else {
	
	echo '<p>'.TEXT_IMPORT_DB.'</p>
	<table class="form-table">
		<form name="form" action="'.INSTALL_FILE.'.php" method="post">
		<tr>
			<th scope="row"><label>'.TEXT_DB_NAME.'</label></th>
			<td><input name="DB_DATABASE" type="text" size="25" value=""  /></td>
			<td>'.TEXT_DB_ETC.' </td>
		</tr>
		<tr>
			<th scope="row"><label>'.TEXT_DB_USERNAME.'</label></th>

			<td><input name="DB_SERVER_USERNAME"  type="text" size="25" value="" /></td>
			<td>'.TEXT_DB_USERNAME1.' </td>
		</tr>
		<tr>
			<th scope="row"><label>'.TEXT_DB_PASSWORD.'</label></th>
			<td><input name="DB_SERVER_PASSWORD" type="text" size="25" value=""  /></td>
			<td>'.TEXT_DB_PASSWORD_NOTE.' </td>
		</tr>
		</table>
	<div> 
	<fieldset> <legend>مقادیر پیش فرض :</legend>
	<p>	'.TEXT_DB_SERVER .' <input type="text" name="DB_SERVER"  readonly style="color: #888888;" value="localhost" /></p>
	<p>	'.TEXT_DB_PREFIX .'<input type="text" name="DB_PREFIX" value="nuke" readonly style="color: #888888;"  /></p>
	<p>	<input type="hidden" name="DB_USER_PREFIX" value="nuke"</p>
	</fieldset>
	</div>


<p class="step">
<input type="hidden" name="step" value="5">
<a href="'.INSTALL_FILE.'.php"  class="button" >'.CANCEL.'</a> 
<input type="submit" value="'.NEXT.'" class="button">
</p>	
</form>';

}


  USV_INSTALL_FOOTER();
}

function install_5(){
	
	global $con;
if (empty($_POST['DB_SERVER']) || empty($_POST['DB_SERVER_USERNAME']) || empty($_POST['DB_SERVER_PASSWORD']) || empty($_POST['DB_DATABASE'])) {

?>
	<table border="0" width="580" height="330">
		<tr>
			<td valign="top" align="right"><b><?php echo ERROR ?></b>: <?php  echo MISSING_DATA; ?>    
	<br>
			<b><?php echo ERROR ?></b>: <?php  echo EMPTYINPUT; ?>    
	</td>
		</tr>
		<tr>
			<td valign="middle" align="center">&nbsp;</td>
		</tr>
		<tr>
			<td valign="bottom">
			<table border="0" width="100%" height="40" cellspacing="0"
				cellpadding="0">
				<tr>
					<form name="form" action="<?PHP echo INSTALL_FILE ?>.php" method="post"><input
						type="hidden" name="step" value="2"> <input type="hidden"
						name="choice" value="on">
					
					
					<td align="center"><input type="submit" value=" <?php echo BACK;?> "></td>
					</form>
				</tr>
			</table>
			</td>
		</tr>
	</table>
<?php 
} else {

	$DB_SERVER = trim(stripslashes($_POST['DB_SERVER']));
	$DB_DATABASE = trim(stripslashes($_POST['DB_DATABASE']));
	$DB_SERVER_USERNAME = trim(stripslashes($_POST['DB_SERVER_USERNAME']));
	$DB_PREFIX = trim(stripslashes($_POST['DB_PREFIX']));
	$DB_USER_PREFIX = "nuke_";
	$DB_SERVER_PASSWORD = trim(stripslashes($_POST['DB_SERVER_PASSWORD']));
	$DB_TYPE = "MySQL";
	$nuke_sql = "usv.sql";
if (!file_exists(INSTALL_PATH."versions/".USV_FILENAME."")) {
	die(NO_DB_FILE);
}
	include(INSTALL_PATH."db.php");
	
	if ($problems_DB == 1 ){
		?>
		<table border="0" width="580" height="330">
		<tr>
			<td valign="top" align="right"><font class="title"><?php echo ERROR ?></font>
			<br>
			<br>
		<?php  echo ERROR_DB; ?>
		</td>
		</tr>
		<tr>
			<td valign="middle" align="center">&nbsp;</td>
		</tr>
		<tr>
			<td valign="bottom">
			<table border="0" width="100%" height="40" cellspacing="0"
				cellpadding="0">
				<tr>
					<form name="form" action="<?PHP echo INSTALL_FILE ?>.php" method="post"><input
						type="hidden" name="step" value="5">
					
					
					<td align="center"><input type="submit" value=" <?php echo BACK;?> "></td>
					</form>
				</tr>
			</table>
			</td>
		</tr>
	</table>
<?php 
	} else {
		
		$sql_file = INSTALL_PATH."versions/" . $nuke_sql;
		osc_set_time_limit(0);
		$return = osc_db_install($sql_file);
		if ($return == -1 || !file_exists($sql_file)){
?>
		<table border="0" width="580" height="330">
		<tr>
			<td valign="top" align="right"><font class="title"><?php echo ERROR ?></font>
			<br>
			<br>
		<?php  echo ERROR_SQL_FILE; ?>
		<i><?php  echo $sql_file;?></i></td>
		</tr>
		<tr>
			<td valign="middle" align="center">&nbsp;</td>
		</tr>
		<tr>
			<td valign="bottom">
			<table border="0" width="100%" height="40" cellspacing="0"
				cellpadding="0">
				<form name="form" action="<?PHP echo INSTALL_FILE ?>.php" method="post"><input
					type="hidden" name="step" value="5">
				
				
				<tr>
					<td align="center"><input type="button" value=" <?php echo RETRY;?> "></td>
				</tr>
<?php 
reset($_POST);
while (list($key, $value) = each($_POST)) {
	if (($key != 'x') && ($key != 'y') && ($key != 'step')) {
		if (is_array($value)) {
			for ($i=0; $i<sizeof($value); $i++) {
				echo osc_draw_hidden_field($key . '[]', $value[$i]);
			}
		} else {
			echo osc_draw_hidden_field($key, $value);
		}
	}
}
?>
		</form>
			</table>
			</td>
		</tr>
	</table>
<?php 
		} else {
?>
		<table>
		<tr>
			<td valign="top" align="right">
			<br>
			<?php  echo IMPORT_DB_OK ;?> 
			<table	align="center">
				<tr>
					<form name="form1" action="<?PHP echo INSTALL_FILE ?>.php" method="post">
					<tr>
					<td width="16%" valign="top" nowrap><?php  echo TEXT_DOMAIN; ?>:</td>
					<td width="46%" valign="top"><input dir="ltr" type="text"
						name="DOMAIN_NAME" value="<?php echo  SPONSER_URL ?>"></td>
					<td width="38%" valign="top"><font class="tiny"><img src="images/icon/help.png" title="<?php  echo TEXT_DIAMAIN_GUIDE; ?>"></font></td>
				</tr>
			</table>
<?php 
reset($_POST);
while (list($key, $value) = each($_POST)) {
	if (($key != 'x') && ($key != 'y') && ($key != 'step')) {
		if (is_array($value)) {
			for ($i=0; $i<sizeof($value); $i++) {
				echo osc_draw_hidden_field($key . '[]', $value[$i]);
			}
		} else {
			echo osc_draw_hidden_field($key, $value);
		}
	}
}
			?>
			</td>
		</tr>
		<tr>
			<td valign="bottom"><input type="hidden" name="step" value="6">
			<table align="center">
				<tr>
	<hr></hr><td ><a href="<?PHP echo INSTALL_FILE ?>.php"><input
		type="button" border="0" value=" <?php echo CANCEL;?> "></a></input>
		 <input type="submit" value=" <?php echo NEXT ;?> " ></input>
					</form>
				</tr>
			</table>
			</td>
		</tr>
	</table>
			<?php 
		}
	}
}
}

function install_6() {
	global $con;
if (!file_exists("config.php")){
	?>
	<table border="0" width="580" height="330">
		<tr>
			<td valign="top" align="left"><br>
			<font class="title"><?php  echo FILE_NOT_FOUND; ?></font> <br>
			<br>
	<?php  echo TEXT_FILE_NOT_FOUND; ?></p>
			</td>
		</tr>
		<tr>
			<td valign="middle" align="center">&nbsp;</td>
		</tr>
		<tr>
			<td valign="bottom">

			<table border="0" width="100%" height="40" cellspacing="0"
				cellpadding="0">
				<tr>
					<form name="form" action="<?PHP echo INSTALL_FILE ?>.php" method="post"><input
						type="hidden" name="step" value="6">
	<?php 
	reset($_POST);
	while (list($key, $value) = each($_POST)) {
		if (($key != 'x') && ($key != 'y') && ($key != 'step')) {
			if (is_array($value)) {
				for ($i=0; $i<sizeof($value); $i++) {
					echo osc_draw_hidden_field($key . '[]', $value[$i]);
				}
			} else {
				echo osc_draw_hidden_field($key, $value);
			}
		}
	}
	?>
	    
					
					
					<td align="center">
					
					
					<td align="center"><input type="button" value=" <?php echo RETRY;?> "></td>
					</td>
					</form>
				</tr>
			</table>

			</td>
		</tr>
	</table>
<?php 
} elseif (file_exists("config.php") && !is_writeable("config.php")) { 


?>
	<table dir=rtl border="0" width="580" height="330">
		<tr>
			<td valign="top" align="right"><br>
			<p><?php  echo NOT_WRITABLE; ?></p>
			>
			<table cellpadding="6">
				<tr>
					<td width="30"></td>
					<td width="400" bgcolor="#000000"><font color="#ffffff"> <br>
	<?php  echo "root@localhost#&nbsp;&nbsp;&nbsp;&nbsp;chmod 666 config.php&nbsp;" ; ?>
	<br>
					<br>
					</font></td>
				</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td valign="middle" align="center">&nbsp;</td>
		</tr>
		<tr>
			<td valign="bottom">
			<table border="0" width="100%" height="40" cellspacing="0"
				cellpadding="0">
				<tr>
					<form name="form" action="<?PHP echo INSTALL_FILE ?>.php" method="post"><input
						type="hidden" name="step" value="6">
	<?php 
	reset($_POST);
	while (list($key, $value) = each($_POST)) {
		if (($key != 'x') && ($key != 'y') && ($key != 'step')) {
			if (is_array($value)) {
				for ($i=0; $i<sizeof($value); $i++) {
					echo osc_draw_hidden_field($key . '[]', $value[$i]);
				}
			} else {
				echo osc_draw_hidden_field($key, $value);
			}
		}
	}
	?>
	    
					
				<td align="center"> <input type="submit"
					border="0" value=" <?php echo NEXT ;?> "></td>
					</form>
				</tr>
			</table>
			</td>
		</tr>
	</table>
<?php 
} else {
?>
	<table border="0" width="580" height="330">
		<tr>
			<td valign="top" align="right">
<?php 


$file_contents = '<?php ' . "\n\n" .
'

/**
*
* @package config file														
* @version $Id: RC-7 FINAL $ 2:12 AM 12/25/2009						
* @copyright (c)Nukelearn Group  http://www.nukelearn.com											
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (stristr(htmlentities($_SERVER["PHP_SELF"]), "config.php")) {Header("Location: config.php"); show_error(HACKING_ATTEMPT);}

//-----------------------------------------------------------------------

$dbhost = "' . trim(stripslashes($_POST['DB_SERVER'])) . '"; 
$dbuname = "' . trim(stripslashes($_POST['DB_SERVER_USERNAME'])) . '";  // Database username
$dbpass = "' . trim(stripslashes($_POST['DB_SERVER_PASSWORD'])) . '";	// Database password
$dbname = "' . trim(stripslashes($_POST['DB_DATABASE'])) . '";	// Database NAME

//-----------------------------------------------------------------------
$dbtype = "MySQL";
//-----------------------------------------------------------------------
$prefix = "' . trim(stripslashes($_POST['DB_USER_PREFIX'])) . '";
$user_prefix = "' . trim(stripslashes($_POST['DB_USER_PREFIX'])) . '";
$nuke_prefix = "nuke_";

//-----------------------------------------------------------------------
$display_errors = true; // Debug System 
//-----------------------------------------------------------------------
$tipath = "images/topics/";
$admin_file = "admin";
$ThemeDef = "USV-classio";
$sitekey = "SpkQSd5%W@Y62-dm29-.-39.3a8sUf+W9";
define("USV_DOMAIN", "' . trim(stripslashes($_POST['DOMAIN_NAME'])) . '");
//-----------------------------------------------------------------------

' . "\n" .
'?>';




$fp = fopen('config.php', 'w');
fputs($fp, $file_contents);
fclose($fp);

echo WRITE_OK . "<br>"
."<font class=\"title\" color=\"red\">".TEXT_IMPORTANT." </font>: " . RETRY_CHMOD . "<br><br>" . CREATE_ADMIN
."<br><br>\n<form name=\"form\" action=\"".INSTALL_FILE.".php\" method=\"post\">\n"
."<input type=\"hidden\" name=\"step\" value=\"7\">\n"
."<input type=\"hidden\" name=\"ADMIN_FILE\" value=\"" . trim(stripslashes($_POST['ADMIN_FILE'])) . "\">\n";
?>
	<table	align="center">
				<tr>
					<td width="30%" valign="top"><?php  echo TEXT_NICKNAME; ?>:</td>
					<td width="70%" valign="top"><input type="text" name="name"
						size="32" value="<?php  echo $www_location; ?>"> <font size="1"><?php  echo TEXT_REQUIRED; ?></font></td>
				</tr>
				<tr>
					<td width="30%" valign="top"><?php  echo TEXT_HOMEPAGE; ?>:</td>
					<td width="70%" valign="top"><input type="text" name="url"
						size="32"></td>
				</tr>
				<tr>
					<td width="30%" valign="top"><?php  echo TEXT_EMAIL; ?>:</td>
					<td width="70%" valign="top"><input type="text" name="email"
						size="32"> <font size="1"><?php  echo TEXT_REQUIRED; ?></font></td>
				</tr>
				<tr>
					<td width="30%" valign="top"><?php  echo TEXT_PASSWORD; ?>:</td>
					<td width="70%" valign="top"><input type="password" name="pwd"
						size="32"> <font size="1"><?php  echo TEXT_REQUIRED; ?></font></td>
				</tr>
				<tr>
					<td width="45%" valign="top"><?php  echo CREATE_USER; ?></td>
					<td width="55%" valign="top"><input type="radio" name="user_new"
						value="1" checked><?php  echo TEXT_ACCOUNTYES; ?> &nbsp;&nbsp;
        <input type="radio" name="user_new" value="0"><?php  echo TEXT_ACCOUNTNO; ?>
        </td>
				</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td valign="bottom">
			<table border="0" width="100%" height="40" cellspacing="0"
				cellpadding="0">
				<tr>
	<?php 
	reset($_POST);
	while (list($key, $value) = each($_POST)) {
		if (($key != 'x') && ($key != 'y') && ($key != 'step')) {
			if (is_array($value)) {
				for ($i=0; $i<sizeof($value); $i++) {
					echo osc_draw_hidden_field($key . '[]', $value[$i]);
				}
			} else {
				echo osc_draw_hidden_field($key, $value);
			}
		}
	}
	?>
						
			<td align="center"><a href="<?PHP echo INSTALL_FILE ?>.php"><input
					type="button" border="0" value=" <?php echo CANCEL;?> "></a> <input type="submit"
					border="0" value=" <?php echo NEXT ;?> "></td>
					
											
					</form>
				</tr>
			</table>
			</td>
		</tr>
	</table>
<?php 
  USV_INSTALL_FOOTER();
}
}

function install_7() {

include(INSTALL_PATH."db.php");
global $prefix,$con;
         
$admin_file = trim(stripslashes($_POST['ADMIN_FILE']));

if ($_POST['stop'] == 1 || empty($_POST['name']) || empty($_POST['email']) || empty($_POST['pwd'])){


	echo "<br>".ERROR.":<br>" . ADMIN_STOP;

    if (is_writeable("config.php")) {
    	echo "</td></tr><tr><td valign=\"middle\">"
    	."<font class=\"title\">Important:</font> " . WARNING_CHMOD;

    }
    ?>
    </td></tr><tr><td valign="bottom">
            <table border="0" width="100%" height="40" cellspacing="0" cellpadding="0">
                      <tr>
    <form name="form" action="<?PHP echo INSTALL_FILE ?>.php" method="post">
    <input type="hidden" name="step" value="6">                              
	<td align="center"><input type="SUBMIT" value=" <?php echo RETRY;?> "></td>
                        </form>
                      </tr>
                    </table>
        </form>
    </td></tr>
    </table>
	<?php 

} else {



	$DB_SERVER = trim(stripslashes($_POST['DB_SERVER']));
	$DB_DATABASE = trim(stripslashes($_POST['DB_DATABASE']));
	$DB_SERVER_USERNAME = trim(stripslashes($_POST['DB_SERVER_USERNAME']));
	$DB_PREFIX = trim(stripslashes($_POST['DB_PREFIX']));
	$DB_USER_PREFIX = trim(stripslashes($_POST['DB_USER_PREFIX']));
	$DB_SERVER_PASSWORD = trim(stripslashes($_POST['DB_SERVER_PASSWORD']));
	$DB_TYPE = $_POST['DB_TYPE'];
	include(INSTALL_PATH."db.php");

	create_first($_POST['name'], $_POST['url'], $_POST['email'], $_POST['pwd'], $_POST['user_new']);
	echo "<br><br><img src='images/icon/tick.png' border='0'>" . ADMIN_CREATED . "<br><br>" ;

?>
	<img src='images/icon/shield_go.png' border='0'><?php  echo TEXT_PERMISSION; ?>
<?php
		echo "<br><a href='http://www.nukelearn.com/modules.php?name=phpBB3&file=viewtopic&f=11&t=206'>
		<img src='images/icon/help.png' border='0'>".CHANGE_PERM_GUIDE."</a>";
		echo '<table id="gradient-style" summary="'.TEXT_PERMISSION.'">
   		<thead>
		';
		echo "	<tr dir='rtl'  align='right'  bgcolor=\"$bgcolor4\">\n";
		echo "		<th scope='col' width=\"60%\">".PERM_FOLDER_PATH."</th>\n";
		echo "		<th scope='col' width=\"30%\">".PERM_CHANGE_TO."</th>\n";
		echo "	</tr></thead>
		<tfoot>
    	<tr>
        <td colspan='6'>".TEXT_PERMISSION."</td>
        </tr>
		</tfoot>
   		<tbody>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">cache</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">includes/upload/image</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">includes/upload/file</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">includes/upload/flash</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">includes/upload/media</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">includes/acp/log</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">modules/phpBB3/Files</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">modules/phpBB3/cache</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">modules/phpBB3/store</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "	<tr>\n";
		echo "		<td align=\"center\">modules/phpBB3/images/avatars/upload</td>\n";
		echo "		<td align=\"center\">777</td>\n";
		echo "	</tr>\n";
		echo "		<td align=\"center\">config.php</td>\n";
		echo "		<td align=\"center\">644 - 444 "; if (is_writeable($_POST['PATH_CONFIG'] . 'config.php')) echo "<br><font color=\"red\"><b>Warning</b></font></td>\n";
		echo "	</tr>\n";
	
		echo "<tr>
		<p style='background-color:#E0D2CB'>فایلهای زیر را پاک کنید
		<br>پوشه INSTALLATION را پاک کنید
		<br>فایل install.php را پاک کنید</p>
		<P align='center'><a href='admin.php'><input type='button' value='".ADMINISTRATOR."' ></a>
		<a href='index.php'><input type='button' value='".SHOWMYSITE."' ></a></p>";

		echo "	</tr>\n";
		echo "</tbody>";
		echo "</table>\n";
		

  USV_INSTALL_FOOTER();

}
}


//-------------
function update_to_usv(){
global $db,$con;
include("mainfile.php");
include(INSTALL_PATH."db.php");
$con = $db;    
         
 echo "<div style=width:500;height:400;overflow:auto> ";

 
	
		$sql_file = INSTALL_PATH."update/update.sql";
		osc_set_time_limit(0);
		$return = osc_db_install($sql_file);
		if ($return == -1 || !file_exists($sql_file)){
?>
		<table border="0" width="580" height="330">
		<tr>
			<td valign="top" align="right"><font class="title"><?php echo ERROR ?></font>
			<br>
			<br>
		<?php  echo ERROR_SQL_FILE; ?>
		<i><?php  echo $sql_file;?></i></td>
		</tr>
        </table>
 <?php
}else {
	echo "<h3>پرتال شما  با موفقیت به  نیوک لرن تبدیل شد </h3>";
}
}
?>