<?php

/**
*
* @package Admin_Story general functions												
* @version $Id: functions.php RC-7  2:03 AM 1/4/2010  Aneeshtan $						
* @copyright (c) Nukelearn Group  http://www.nukelearn.com											
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

// these two functions are used to clone the unescape() function in javascript
function code2utf($num){
    if($num<128)return chr($num);
    if($num<2048)return chr(($num>>6)+192).chr(($num&63)+128);
    if($num<65536)return chr(($num>>12)+224).chr((($num>>6)&63)+128).chr(($num&63)+128);
    if($num<2097152)return chr(($num>>18)+240).chr((($num>>12)&63)+128).chr((($num>>6)&63)+128) .chr(($num&63)+128);
    return '';
}
function unescape($source, $iconv_to = 'UTF-8') {
    $decodedStr = '';
    $pos = 0;
    $len = strlen ($source);
    while ($pos < $len) {
        $charAt = substr ($source, $pos, 1);
        if ($charAt == '%') {
            $pos++;
            $charAt = substr ($source, $pos, 1);
            if ($charAt == 'u') {
                // we got a unicode character
                $pos++;
                $unicodeHexVal = substr ($source, $pos, 4);
                $unicode = hexdec ($unicodeHexVal);
                $decodedStr .= code2utf($unicode);
                $pos += 4;
            }
            else {
                // we have an escaped ascii character
                $hexVal = substr ($source, $pos, 2);
                $decodedStr .= chr (hexdec ($hexVal));
                $pos += 2;
            }
        }
        else {
            $decodedStr .= $charAt;
            $pos++;
        }
    }

    if ($iconv_to != "UTF-8") {
        $decodedStr = iconv("UTF-8", $iconv_to, $decodedStr);
    }
   
    return $decodedStr;
}
//---------------------
function puthome($ihome, $acomm, $hotnews=0) {
	echo "<br><b>"._PUBLISHINHOME."</b>&nbsp;&nbsp;";
	if (($ihome == 0) OR (empty($ihome))) {
		$sel1 = "checked";
		$sel2 = "";
	}
	if ($ihome == 1) {
		$sel1 = "";
		$sel2 = "checked";
	}
	echo "<input type=\"radio\" name=\"ihome\" value=\"0\" $sel1>"._YES."&nbsp;"
	."<input type=\"radio\" name=\"ihome\" value=\"1\" $sel2>"._NO.""
	."&nbsp;&nbsp;<font class=\"content\">[ "._ONLYIFCATSELECTED." ]</font><br>";

	echo "<br><b>"._ACTIVATECOMMENTS."</b>&nbsp;&nbsp;";
	if (($acomm == 0) OR (empty($acomm))) {
		$sel1 = "checked";
		$sel2 = "";
	}
	if ($acomm == 1) {
		$sel1 = "";
		$sel2 = "checked";
	}
	echo "<input type=\"radio\" name=\"acomm\" value=\"0\" $sel1>"._YES."&nbsp;"
	."<input type=\"radio\" name=\"acomm\" value=\"1\" $sel2>"._NO."</font><br><br>";
	//@
	if (($hotnews == 0) OR (empty($hotnews))) {
		$sel1 = "";
		$sel2 = "checked";
	}
	if ($hotnews == 1) {
		$sel1 = "checked";
		$sel2 = "";
	}
	echo "<b>"._HOTNEWS."</b>&nbsp;&nbsp;";
	echo "<input type=\"radio\" name=\"hotnews\" value=\"1\" $sel1>"._YES."&nbsp;"
	."<input type=\"radio\" name=\"hotnews\" value=\"0\" $sel2>"._NO."<br><br>";
	//@
}

function putpoll($pollTitle, $optionText) {
	OpenTable();
	echo "<center><font class=\"title\"><b>"._ATTACHAPOLL."</b></font><br>"
	."<font class=\"tiny\">"._LEAVEBLANKTONOTATTACH."</font><br>"
	."<br><br>"._POLLTITLE.": <input type=\"text\" name=\"pollTitle\" size=\"50\" maxlength=\"100\" value=\"$pollTitle\" onkeypress=\"return farsikey(this,event)\" onkeydown=changelang(this);> <IMG src=\"images/fa2.gif\" style=\"CURSOR: hand\" onclick=change(pollTitle)><br><br>"
	."<font class=\"content\">"._POLLEACHFIELD."<br>"
	."<table border=\"0\">";
	for($i = 1; $i <= 12; $i++)	{
		echo "<tr>"
		."<td>"._OPTION." $i:</td><td><input type=\"text\" name=\"optionText[$i]\" size=\"50\" maxlength=\"50\" value=\"$optionText[$i]\" onkeypress=\"return farsikey(this,event)\" onkeydown=changelang(this);></td>"
		."</tr>";
	}
	echo "</table>";
	CloseTable();
}

function quick_tags_add ($tgz=""){
	
$t ='	
<meta http-equiv="Content-type" content="text/html; charset=utf-8">
<script src="'.SCRIPT_PLUGINS_PATH.'autocomplete/GrowingInput.js" type="text/javascript" charset="utf-8"></script>
		<script src="'.SCRIPT_PLUGINS_PATH.'autocomplete/TextboxList.js" type="text/javascript" charset="utf-8"></script>		
		<script src="'.SCRIPT_PLUGINS_PATH.'autocomplete/TextboxList.Autocomplete.js" type="text/javascript" charset="utf-8" ></script>
		<script src="'.SCRIPT_PLUGINS_PATH.'autocomplete/TextboxList.Autocomplete.Binary.js" type="text/javascript" charset="utf-8"></script>		
		<script type="text/javascript" charset="utf-8">		
			$(function(){
				var t4 = new $.TextboxList(\'#tags\', {unique: true, plugins: {autocomplete: {}}});
				'.$tgz.'
				t4.getContainer().addClass(\'textboxlist-loading\');				
				$.ajax({url: \'admin.php?op=Tags&act=query\', dataType: \'json\', success: function(r){
					t4.plugins[\'autocomplete\'].setValues(r);
					t4.getContainer().removeClass(\'textboxlist-loading\');
				}});				
				
			});
		</script>
<style>
@import url(\''.SCRIPT_PLUGINS_PATH.'autocomplete/TextboxList.css\');
@import url(\''.SCRIPT_PLUGINS_PATH.'autocomplete/TextboxList.Autocomplete.css\');
</style>';

		
$t .="<br>"._TAGS."<br><br><div class=\"form_friends\"><input type=\"text\"  name='tags' id='tags' size='20' value=\"\" /></div>";
	
return $t ;

}

function quick_topic_add (){
	$r ='<script type="text/javascript" >
$(function() {
$(".comment_button").click(function() {

var topicname = $("#topicname").val();
var topictext = $("#topictext").val();
var dataString = "topicname=" + topicname + "&topictext=" + topictext;

if(topicname==\'\' || topictext==\'\' )
{
alert("Please Enter Some Text");
}
else
{
$("#flash").show();
$("#flash").fadeIn(400).html(\'<img src="images/loading.gif" align="absmiddle"> <span class="loading">Loading...</span>\');

$.ajax({
type: "POST",
url: "admin.php?op=save_q_t_a&",
data: dataString,
cache: false,
success: function(html){
$("#display").after(html);
document.getElementById(\'topicname\').value=\'\';
document.getElementById(\'topictext\').value=\'\';
$("#flash").hide();
}
});
} return false;
});
});
</script>';

	$r .=""
	."<b>"._TOPICNAME . ":</b><input type=\"text\" name=\"topicname\" id=\"topicname\" size=\"20\" maxlength=\"20\">
<img src='images/icon/help.png' title='"._TOPICNAME1 . "' width='16px' height='16px'><br>"
	."<b>"._TOPICTEXT . ":</b><input type=\"text\" name=\"topictext\" id=\"topictext\" size=\"40\" maxlength=\"40\" align=\"absbottom\">
<img src='images/icon/help.png' title='"._TOPICTEXT1 . "' width='16px' height='16px'> <br><br>"
	."<input type=\"submit\" value=\""._OK . "\" class=\"comment_button\">"
	.""
	.'<div id="flash"></div>';
	return $r ;

}

function save_q_t_a (){
	global $db, $prefix;

	if ($_POST)
	{

		$topictext = addslashes(check_words(check_html($_POST['topictext'], "nohtml")));
		$topicname = addslashes(check_words(check_html($_POST['topicname'], "nohtml")));

		if (empty($topicname) or empty($topictext))
		{
			die();
		}
		$num = $db->sql_numrows($db->sql_query("Select topicname FROM " . $prefix .
		"_topics WHERE topicname = '$topicname' "));
		if (empty($num))
		{

			$result = $db->sql_query("INSERT INTO " . $prefix . "_topics VALUES (NULL,'$topicname','','$topictext','0')");
			$topic_id = mysql_insert_id();

			if ($result)
			{
				echo "<span style='background:#F7F797;'>
				<input type='checkbox' name='assotop[]' value='".intval($topic_id)."'><b>" . $topicname . "</b>&nbsp;
				</span><br>";
			}

		}


	}
	else
	{
		return "ajax is unavailable";
	}


}

?>
