<?php
/***********************************
 * Jalali Calendar v 1.0.0.0
 * for NukeLearn USV v 1
 * written by James [Hamed]
 * thanks to Armin Randjbar-Daemi for his fantastic Jalali Calendar Class
 * you can find him here: http://www.phpclasses.org/browse/package/4457.html
 * *********************************/
include("header.php");
?>
<link href="modules/jCalendar/includes/style/Calendar.css" type="text/css" rel="stylesheet" />
<script type="text/javascript" src="modules/jCalendar/includes/tooltip/jquery.simpletip-1.3.1.js"></script>
<?php
//You can get the Events from Database and put them in this Array
/*$EventsMatrix = array(
					day=>array('1386-12-2','1386-12-7','1388-12-16','1386-12-29'),
					content=>array('دوم اسفند','هفتم اسفند','هیجدهم اسفند','روز ملی شدن صنعت نفت ایران')
					);*/
require_once ('includes/Calendar.Class.php');
$Calendar = new Calendar();
unset($sql);
$sql = 'SELECT * FROM `'.$prefix.'_jcalendar_events`';
$result = $db->sql_query($sql);
$EventsMatrix = array();
$i = 0;
while($row = $db->sql_fetchrow($result)){
	$sdate = date_parse($row['start_date']);
	$edate = date_parse($row['end_date']);
	$EventsMatrix['day'][$i] = $sdate['year'].'-'.$sdate['month'].'-'.$sdate['day'];
	$EventsMatrix['content'][$i] = $row['title'];
	$EventsMatrix['holiday'][$i] = $row['holiday'];
	$date_diff = $Calendar->jdate_diff($row['start_date'],$row['end_date']);
	if($date_diff != 0){
		$ndate[0] = $sdate['year'];
		$ndate[1] = $sdate['month'];
		$ndate[2] = $sdate['day'];
		for($j=0;$j<$date_diff;$j++){
			$i++;
			$ndate = $Calendar->datepluse1($ndate);
			$EventsMatrix['day'][$i] = $ndate[0].'-'.$ndate[1].'-'.$ndate[2];
			$EventsMatrix['content'][$i] = $row['title'];
			$EventsMatrix['holiday'][$i] = $row['holiday'];
		}
	}
	$i++;
}
//print_r($EventsMatrix);
require_once ('includes/CalendarEvents.Class.php');
$CalendarEvents = new CalendarEvents($EventsMatrix);
echo $CalendarEvents->JSoutput;
OpenTable();
?>
<div style="width:100%;text-align:center;" class="jcal">
<div style="margin: auto; width: 350px;">

	<?php
	 include('includes/Calendar.php'); ?></div>	
</div>
<?php
include("footer.php");
?>
