<?php
/**
*
* @package phpBB3
* @version $Id: faq.php 8479 2008-03-29 00:22:48Z naderman $
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/

if ( !defined('MODULE_FILE') )
{
	die("You can't access this file directly...");
}

require_once("mainfile.php");
include("header.php");

$module_name = basename(dirname(__FILE__));
$nuke_root_path = "modules.php?name=".$module_name;
$nuke_file_path = "modules.php?name=".$module_name."&file=";
$phpbb_root_path = "modules/".$module_name."/";

define('IN_PHPBB', true);
// $phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$phpBB3user->session_begin();
// ------ BEGIN - HACK: BB3NUKE -----------------
require($phpbb_root_path . 'phpBB3.' . $phpEx);
// ------ END - HACK: BB3NUKE -----------------
$auth->acl($phpBB3user->data);
$phpBB3user->setup();

$mode = request_var('mode', '');

// Load the appropriate faq file
switch ($mode)
{
	case 'bbcode':
		$l_title = $phpBB3user->lang['BBCODE_GUIDE'];
		$phpBB3user->add_lang('bbcode', false, true);
	break;

	default:
		$l_title = $phpBB3user->lang['FAQ_EXPLAIN'];
		$phpBB3user->add_lang('faq', false, true);
	break;
}

// Pull the array data from the lang pack
$help_blocks = array();
foreach ($phpBB3user->help as $help_ary)
{
	if ($help_ary[0] == '--')
	{
		$template->assign_block_vars('faq_block', array(
			'BLOCK_TITLE'		=> $help_ary[1])
		);

		continue;
	}

	$template->assign_block_vars('faq_block.faq_row', array(
		'FAQ_QUESTION'		=> $help_ary[0],
		'FAQ_ANSWER'		=> $help_ary[1])
	);
}

// Lets build a page ...
$template->assign_vars(array(
	'L_FAQ_TITLE'	=> $l_title,
	'L_BACK_TO_TOP'	=> $phpBB3user->lang['BACK_TO_TOP'])
);

page_header($l_title);

$template->set_filenames(array(
	'body' => 'faq_body.html')
);
// make_jumpbox(append_sid("{$phpbb_root_path}viewforum.$phpEx"));
make_jumpbox(append_sid("{$nuke_file_path}viewforum"));

page_footer();
include("footer.php");

?>
