<?php
/**
*
* @author idiotnesia info@forumkomputer.web.id - http://www.forumkomputer.web.id
**
* @package phpBB3
* @version $Id: thanks.php  0.0.1 - 2008-06-07  idiotnesia $
* @copyright (c) 2008 forumkomputer.web.id
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
/**
* @ignore
*/



if ( !defined('MODULE_FILE') )
{
	die("You can't access this file directly...");
}

require_once("mainfile.php");
include("header.php");

$module_name = basename(dirname(__FILE__));
$nuke_root_path = "modules.php?name=".$module_name;
$nuke_file_path = "modules.php?name=".$module_name."&file=";
$phpbb_root_path = "modules/".$module_name."/";


define('IN_PHPBB', true);
//$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$phpBB3user->session_begin();
// ------ BEGIN - HACK: BB3NUKE -----------------
require($phpbb_root_path . 'phpBB3.' . $phpEx);
// ------ END - HACK: BB3NUKE -----------------
$auth->acl($phpBB3user->data);

$forum_id		= request_var('f', 0);
$post_id		= request_var('p', 0);
$reason_id		= request_var('reason_id', 0);
$report_text	= utf8_normalize_nfc(request_var('report_text', '', true));
$user_notify	= ($phpBB3user->data['is_registered']) ? request_var('notify', 0) : false;

$submit = (isset($_POST['submit'])) ? true : false;

if (!$post_id)
{
	trigger_error('NO_POST_SELECTED');
}

// $redirect_url = append_sid("{$phpbb_root_path}viewtopic.$phpEx", "f=$forum_id&amp;p=$post_id") . "#p$post_id";
$redirect_url = append_sid("{$nuke_file_path}viewtopic", "f=$forum_id&amp;p=$post_id") . "#p$post_id";

// specify styles and/or localisation
// in this example, we specify that we will be using the file: my_language_file.php
$phpBB3user->setup('mods/thanks');

$post_id	= request_var('p', 0);
$mode		= request_var('mode', '');

//redirect guest to login box
if (!$phpBB3user->data['is_registered'])
{
	login_box();
}

$sql = 'SELECT p.poster_id, t.topic_id
	FROM ' . POSTS_TABLE . ' p, ' . TOPICS_TABLE . ' t
	WHERE p.post_id = ' . $post_id;
$result = $phpBB3db->sql_query($sql);
$row = $phpBB3db->sql_fetchrow($result);
$phpBB3db->sql_freeresult($result);	

if (!$row)
{
	trigger_error('THANKS_DISALLOW');
}

$sql = 'SELECT post_thanked
	FROM ' . POSTS_TABLE . '
	WHERE post_id = ' . $post_id;
$result = $phpBB3db->sql_query($sql);
$post_thanked = $phpBB3db->sql_fetchfield('post_thanked');
$phpBB3db->sql_freeresult($result);

$sql = 'SELECT thanks_from
	FROM ' . THANKS_TABLE . '
	WHERE post_id = ' . $post_id . '
		AND thanks_from = ' . $phpBB3user->data['user_id'];
$result = $phpBB3db->sql_query($sql);
$thanked_post = $phpBB3db->sql_fetchfield('thanks_from');
$phpBB3db->sql_freeresult($result);
		
switch ($mode)
{
	case 'thanks':
		if($thanked_post)
		{
			trigger_error('THANKS_CANT_ADD');
		}
		
		$sql_ary = array(
			'thanks_from'	=> $phpBB3user->data['user_id'],
			'thanks_to'		=> $row['poster_id'],
			'post_id'		=> $post_id,
		);

		$phpBB3db->sql_query('INSERT INTO ' . THANKS_TABLE . ' ' . $phpBB3db->sql_build_array('INSERT', $sql_ary));
	
		$sql = 'UPDATE ' . USERS_TABLE . '
			SET user_thanked = user_thanked + 1,
				user_thanks_post = user_thanks_post + ' . (($post_thanked == 0) ? 1 : 0) . '
			WHERE user_id = ' . $row['poster_id'];
		$phpBB3db->sql_query($sql);
		
		$sql = 'UPDATE ' . USERS_TABLE . '
			SET user_thanks = user_thanks + 1
			WHERE user_id = ' . $phpBB3user->data['user_id'];
		$phpBB3db->sql_query($sql);
	
		$sql = 'UPDATE ' . POSTS_TABLE . '
			SET post_thanked = post_thanked + 1
			WHERE post_id = ' . $post_id;
		$phpBB3db->sql_query($sql);
	
		//$redirect = append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'p=' . $post_id)  . '#p' . $post_id;
		$redirect = append_sid("{$nuke_file_path}viewtopic", "f=$forum_id&amp;p=$post_id") . "#p$post_id";
		
		redirect($redirect);

	break;

	case 'remove':
		if(!$thanked_post)
		{
			trigger_error('THANKS_CANT_REMOVE');
		}
		$sql = 'DELETE FROM ' . THANKS_TABLE . '
         WHERE thanks_from = ' . $phpBB3user->data['user_id'] . ' AND post_id = ' . $post_id;
        $phpBB3db->sql_query($sql);
		
		$sql = 'UPDATE ' . USERS_TABLE . '
			SET user_thanked = user_thanked - 1,
				user_thanks_post = user_thanks_post - ' . (($post_thanked == 1) ? 1 : 0) . '
			WHERE user_id = ' . $row['poster_id'];
		$phpBB3db->sql_query($sql);
		
		$sql = 'UPDATE ' . USERS_TABLE . '
			SET user_thanks = user_thanks - 1
			WHERE user_id = ' . $phpBB3user->data['user_id'];
		$phpBB3db->sql_query($sql);
	
		if ($post_thanked > 0)
		{
			$sql = 'UPDATE ' . POSTS_TABLE . '
				SET post_thanked = post_thanked - 1
				WHERE post_id = ' . $post_id;
			$phpBB3db->sql_query($sql);
		}
		$redirect = append_sid("{$nuke_file_path}viewtopic", "f=$forum_id&amp;p=$post_id") . "#p$post_id";
	redirect($redirect);
	break;

	default:
		trigger_error('NO_MODE');
	break;
}

?>