<?php
/**
*
* @package RSS Feed Class														
* @version $Id: $Kralpc --  6:23 PM 1/8/2010  REVISION Aneeshtan $						
* @copyright (c) Nukelearn Group  http://www.nukelearn.com											
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

include_once('mainfile.php');


define('FORUMS_TABLE',				$prefix . '_bb3forums');
define('TOPICS_TABLE',				$prefix . '_bb3topics');
define('POSTS_TABLE',				$prefix . '_bb3posts');
define('USERS_TABLE',				$prefix . '_bb3users');

include_once(INCLUDES_PATH.'inc_rss.php');

global $prefix, $db, $nukeurl,$sitename,$slogan,$backend_title,$slogan,$name,$nextg;

if (empty($backend_title)) {$backend_title == $sitename ; }
$now = date('y-m-d h:m:s');

$feed = new RSS();
$feed->title       = "".$backend_title."";
$feed->link        = "".$nukeurl."";
$feed->description = "".$slogan."";


$limit = "25";

function make_xml_compatible($text)
{
	// $text = nl2br($text);
	$text = str_replace('&nbsp;', ' ', $text);
	$text = check_words($text);
	//$text = htmlspecialchars($text);
	return $text;
}

function GetData($title,$link,$date,$author,$html){
	global $feed;
	$item = new RSSItem();
	$item->title = $title;
	$item->link  = $link;
	$item->setPubDate($date);
	$item->author = $author ;
	$item->description = "<![CDATA[".$html."]]>";
	$feed->addItem($item);


}

if (isset( $_GET['mod'])) {
$name = sql_quote($_GET['mod']);
}else {
$feed->main_page();
}

if  ($name == "News") {
	
	$result = $db->sql_query("SELECT *
 			FROM ".$prefix."_stories  WHERE section='news' AND approved='1' 
 			ORDER BY sid DESC LIMIT ". sql_quote($limit)."");

	if (!empty($result)) {

		while($row = $db->sql_fetchrow($result))
		{

			$title = sql_quote($row['title']);
			$sid = sql_quote(intval($row['sid']));
			$slug_title = Slugit($title);
			if ($nextg==1) {
			$link = "".USV_DOMAIN."/article/$sid/$slug_title";
			}else {
			$link = "".USV_DOMAIN."/modules.php?name=News&file=article&sid=$sid&title=$slug_title";
			}
			
			$html = make_xml_compatible($row['hometext']);
			$author = $row['informant'];
			if (empty($author)) {$author= $row['aid'] ;}
			$date = date("Y-m-d\TH:i:s", strtotime( $row['time']));

			GetData($title,$link,$date,$author,$html);

		}
		$db->sql_freeresult($result);

		echo $feed->serve();

	}else {
		show_error("RSS HAS NO CONTENT");
	}


}

/*\--------------[ BEGIN:  USV-Admin Downloads RSS ]---------------\*/
elseif ($name == "Downloads") {
	$result = $db->sql_query("SELECT lid, title, description, date FROM ".$prefix."_nsngd_downloads ORDER BY date DESC LIMIT ".$limit."");
	while (list($rlid, $rtitle, $rdescription, $rdate) = $db->sql_fetchrow($result)) {

		$link = "$nukeurl/modules.php?name=Downloads&amp;d_op=viewdownloaddetails&amp;lid=$rlid";
		$date = date("Y-m-d\TH:i:s", strtotime($rdate));
		$html = make_xml_compatible($rdescription);
		$author = $row['informant'];

		GetData($rtitle,$link,$date,'',$html);

	}
			echo $feed->serve();
	$db->sql_freeresult($result);



	/*\--------------[ BEGIN:  USV-Admin Content RSS ]---------------\*/
}elseif  ($name == "Message") {
	$result = $db->sql_query("SELECT *
 			FROM ".$prefix."_stories  WHERE section='message' AND approved='1' 
 			ORDER BY sid DESC LIMIT ".$limit."");
	while($row = $db->sql_fetchrow($result)){
			$title = sql_quote($row['title']);
			$sid = sql_quote(intval($row['sid']));
			$slug_title = Slugit($title);
			if ($nextg==1) {
			$link = "".USV_DOMAIN."/article/$sid/$slug_title";
			}else {
			$link = "".USV_DOMAIN."/modules.php?name=News&file=article&sid=$sid&title=$slug_title";
			}

		$date = date("Y-m-d\TH:i:s", strtotime($row['time']));
		$html = make_xml_compatible($row['hometext']);
		$author = $row['informant'];

		GetData($title,$link,$date,$author,$html);

	}
	echo $feed->serve();
	$db->sql_freeresult($result);

	/*\--------------[ BEGIN:  USV-Admin Last Comment RSS ]---------------\*/
}elseif  ($name == "Comment") {
	$result = $db->sql_query("SELECT tid, sid, date, name, subject, comment FROM " . $prefix . "_comments_moderated  ORDER BY date DESC LIMIT ".$limit."");
	while ($row = $db->sql_fetchrow($result)) {
		$tid = intval($row['tid']);
		$comment = $row['comment'];
		$newdate = $row['date'];
			$title = sql_quote($row['title']);
			$sid = sql_quote(intval($row['sid']));
			$slug_title = Slugit($title);
			if ($nextg==1) {
			$link = "".USV_DOMAIN."/article/$sid/$slug_title";
			}else {
			$link = "".USV_DOMAIN."/modules.php?name=News&file=article&sid=$sid&title=$slug_title";
			}

		GetData($title,$link,$date,'',make_xml_compatible($comment));

	}
			echo $feed->serve();
	$db->sql_freeresult($result);


	/*\--------------[ BEGIN:  USV-Admin Forums RSS ]---------------\*/
}elseif  ($name == "Forums") {

	/*\--------------[ BEGIN:  USV-Admin News RSS ]---------------\*/
	$tsql = "SELECT t.topic_id, t.topic_title,topic_poster,t.topic_last_post_id,f.forum_id,f.forum_name, f.forum_desc_options
	FROM ".TOPICS_TABLE." t, ".FORUMS_TABLE." f where t.forum_id=f.forum_id AND

	t.topic_status != 1
	AND topic_approved != 0 
	AND topic_approved = 1
	AND t.forum_id !=9
	AND t.forum_id !=12
	AND t.forum_id !=14
	AND t.forum_id !=22
	
		
	AND (topic_moved_id = 0 or topic_moved_id='') 
	ORDER BY t.topic_last_post_id DESC LIMIT 0,20";

	$result = $db->sql_query($tsql);
	if (!$result) {
		show_error("RSS Name You Entered Is Wrong");
	}else {
		while($row = $db->sql_fetchrow($result))
		{
			$forumid=$row['forum_id'];
			$topicid=$row['topic_id'];

			$row2 = $db->sql_fetchrow($db->sql_query("SELECT post_id,poster_id,post_time,post_text,bbcode_uid,bbcode_bitfield FROM   ".POSTS_TABLE."  where post_id ='".$row['topic_last_post_id']."'"));
			$row3 = $db->sql_fetchrow($db->sql_query("SELECT user_id,username  FROM   ".USERS_TABLE."  where user_id ='".$row2['poster_id']."'"));

			$post_text2 = $row2['post_text'];
			$post_text2 = nl2br($post_text2);

			$mydate = ($row2['post_time']) + (3.5 * 3600);
			$monthnum = array ( Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep , Oct, Nov, Dec);

			$date = gmdate("Y-m-d-D-H-i-s", $mydate);
			list($year, $month, $day, $day2, $hour, $min, $sec) = preg_split ('/-/' , $date);
			$post_date = $day2.", ".$day." ".$monthnum[$month-1]." ".$year ." ". $hour .":". $min .":". $sec ;



			$title = $row['topic_title'];
			$link = "$nukeurl/modules.php?name=phpBB3&amp;file=viewtopic&amp;t=$topicid";
			$html = make_xml_compatible($post_text2);
			$author = $row3['username'];

			GetData($title,$link,$post_date,$author,$html);


		}
	}
			echo $feed->serve();
	

	
	
}else {
    Header("Location: ../rss.php");
}
?>